-- MySQL dump 10.14  Distrib 5.5.65-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: dev_paas
-- ------------------------------------------------------
-- Server version	5.5.65-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `account_bktoken`
--

DROP TABLE IF EXISTS `account_bktoken`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_bktoken` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `token` varchar(255) NOT NULL,
  `is_logout` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_bktoken`
--

LOCK TABLES `account_bktoken` WRITE;
/*!40000 ALTER TABLE `account_bktoken` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_bktoken` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_bkuser`
--

DROP TABLE IF EXISTS `account_bkuser`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_bkuser` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `password` varchar(128) NOT NULL,
  `last_login` datetime DEFAULT NULL,
  `is_superuser` tinyint(1) NOT NULL,
  `username` varchar(128) NOT NULL,
  `chname` varchar(254) NOT NULL,
  `company` varchar(128) NOT NULL,
  `qq` varchar(32) NOT NULL,
  `phone` varchar(64) NOT NULL,
  `email` varchar(254) NOT NULL,
  `is_staff` tinyint(1) NOT NULL,
  `date_joined` datetime NOT NULL,
  `role` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_bkuser`
--

LOCK TABLES `account_bkuser` WRITE;
/*!40000 ALTER TABLE `account_bkuser` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_bkuser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_bkuser_groups`
--

DROP TABLE IF EXISTS `account_bkuser_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_bkuser_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bkuser_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `bkuser_id` (`bkuser_id`,`group_id`),
  KEY `account_bkuser_groups_group_id_62e6d4600781d550_fk_auth_group_id` (`group_id`),
  CONSTRAINT `account_bkuser_groups_group_id_62e6d4600781d550_fk_auth_group_id` FOREIGN KEY (`group_id`) REFERENCES `auth_group` (`id`),
  CONSTRAINT `account_bkuser_g_bkuser_id_2afe1b401266c2ba_fk_account_bkuser_id` FOREIGN KEY (`bkuser_id`) REFERENCES `account_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_bkuser_groups`
--

LOCK TABLES `account_bkuser_groups` WRITE;
/*!40000 ALTER TABLE `account_bkuser_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_bkuser_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_bkuser_user_permissions`
--

DROP TABLE IF EXISTS `account_bkuser_user_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_bkuser_user_permissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bkuser_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `bkuser_id` (`bkuser_id`,`permission_id`),
  KEY `account_bkus_permission_id_d5bec30ce864e6d_fk_auth_permission_id` (`permission_id`),
  CONSTRAINT `account_bkus_permission_id_d5bec30ce864e6d_fk_auth_permission_id` FOREIGN KEY (`permission_id`) REFERENCES `auth_permission` (`id`),
  CONSTRAINT `account_bkuser_u_bkuser_id_726503c76778809c_fk_account_bkuser_id` FOREIGN KEY (`bkuser_id`) REFERENCES `account_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_bkuser_user_permissions`
--

LOCK TABLES `account_bkuser_user_permissions` WRITE;
/*!40000 ALTER TABLE `account_bkuser_user_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_bkuser_user_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `account_loignlog`
--

DROP TABLE IF EXISTS `account_loignlog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_loignlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login_time` datetime NOT NULL,
  `login_browser` varchar(200) DEFAULT NULL,
  `login_ip` varchar(50) DEFAULT NULL,
  `login_host` varchar(100) DEFAULT NULL,
  `app_id` varchar(30) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `account_loignlog_user_id_15323b92e87f1680_fk_account_bkuser_id` (`user_id`),
  CONSTRAINT `account_loignlog_user_id_15323b92e87f1680_fk_account_bkuser_id` FOREIGN KEY (`user_id`) REFERENCES `account_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `account_loignlog`
--

LOCK TABLES `account_loignlog` WRITE;
/*!40000 ALTER TABLE `account_loignlog` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_loignlog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `auth_group`
--

DROP TABLE IF EXISTS `auth_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `auth_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(80) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `auth_group`
--

LOCK TABLES `auth_group` WRITE;
/*!40000 ALTER TABLE `auth_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `auth_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `auth_group_permissions`
--

DROP TABLE IF EXISTS `auth_group_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `auth_group_permissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `group_id` (`group_id`,`permission_id`),
  KEY `auth_group__permission_id_1f49ccbbdc69d2fc_fk_auth_permission_id` (`permission_id`),
  CONSTRAINT `auth_group__permission_id_1f49ccbbdc69d2fc_fk_auth_permission_id` FOREIGN KEY (`permission_id`) REFERENCES `auth_permission` (`id`),
  CONSTRAINT `auth_group_permission_group_id_689710a9a73b7457_fk_auth_group_id` FOREIGN KEY (`group_id`) REFERENCES `auth_group` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `auth_group_permissions`
--

LOCK TABLES `auth_group_permissions` WRITE;
/*!40000 ALTER TABLE `auth_group_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `auth_group_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `auth_permission`
--

DROP TABLE IF EXISTS `auth_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `auth_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `content_type_id` int(11) NOT NULL,
  `codename` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `content_type_id` (`content_type_id`,`codename`),
  CONSTRAINT `auth__content_type_id_508cf46651277a81_fk_django_content_type_id` FOREIGN KEY (`content_type_id`) REFERENCES `django_content_type` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=184 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `auth_permission`
--

LOCK TABLES `auth_permission` WRITE;
/*!40000 ALTER TABLE `auth_permission` DISABLE KEYS */;
INSERT INTO `auth_permission` VALUES (1,'Can add log entry',1,'add_logentry'),(2,'Can change log entry',1,'change_logentry'),(3,'Can delete log entry',1,'delete_logentry'),(4,'Can add permission',2,'add_permission'),(5,'Can change permission',2,'change_permission'),(6,'Can delete permission',2,'delete_permission'),(7,'Can add group',3,'add_group'),(8,'Can change group',3,'change_group'),(9,'Can delete group',3,'delete_group'),(10,'Can add content type',4,'add_contenttype'),(11,'Can change content type',4,'change_contenttype'),(12,'Can delete content type',4,'delete_contenttype'),(13,'Can add session',5,'add_session'),(14,'Can change session',5,'change_session'),(15,'Can delete session',5,'delete_session'),(16,'Can add user',6,'add_bkuser'),(17,'Can change user',6,'change_bkuser'),(18,'Can delete user',6,'delete_bkuser'),(19,'Can add 用户登录日志',7,'add_loignlog'),(20,'Can change 用户登录日志',7,'change_loignlog'),(21,'Can delete 用户登录日志',7,'delete_loignlog'),(22,'Can add 登录票据',8,'add_bktoken'),(23,'Can change 登录票据',8,'change_bktoken'),(24,'Can delete 登录票据',8,'delete_bktoken'),(25,'Can add 应用分类信息',9,'add_apptags'),(26,'Can change 应用分类信息',9,'change_apptags'),(27,'Can delete 应用分类信息',9,'delete_apptags'),(28,'Can add 应用基本信息',10,'add_app'),(29,'Can change 应用基本信息',10,'change_app'),(30,'Can delete 应用基本信息',10,'delete_app'),(31,'Can add 应用安全相关信息',11,'add_secureinfo'),(32,'Can change 应用安全相关信息',11,'change_secureinfo'),(33,'Can delete 应用安全相关信息',11,'delete_secureinfo'),(34,'Can add 应用桌面属性',12,'add_desktopsettings'),(35,'Can change 应用桌面属性',12,'change_desktopsettings'),(36,'Can delete 应用桌面属性',12,'delete_desktopsettings'),(37,'Can add 应用环境变量',13,'add_appenvvar'),(38,'Can change 应用环境变量',13,'change_appenvvar'),(39,'Can delete 应用环境变量',13,'delete_appenvvar'),(40,'Can add 应用部署操作信息',14,'add_record'),(41,'Can change 应用部署操作信息',14,'change_record'),(42,'Can delete 应用部署操作信息',14,'delete_record'),(43,'Can add 应用发布版本信息',15,'add_version'),(44,'Can change 应用发布版本信息',15,'change_version'),(45,'Can delete 应用发布版本信息',15,'delete_version'),(46,'Can add 应用特征信息',16,'add_versiondetail'),(47,'Can change 应用特征信息',16,'change_versiondetail'),(48,'Can delete 应用特征信息',16,'delete_versiondetail'),(49,'Can add 用户操作流水日志',17,'add_useroperaterecord'),(50,'Can change 用户操作流水日志',17,'change_useroperaterecord'),(51,'Can delete 用户操作流水日志',17,'delete_useroperaterecord'),(52,'Can add cluster info',18,'add_bkcluster'),(53,'Can change cluster info',18,'change_bkcluster'),(54,'Can delete cluster info',18,'delete_bkcluster'),(55,'Can add app info',19,'add_bkapp'),(56,'Can change app info',19,'change_bkapp'),(57,'Can delete app info',19,'delete_bkapp'),(58,'Can add app token',20,'add_bkapptoken'),(59,'Can change app token',20,'change_bkapptoken'),(60,'Can delete app token',20,'delete_bkapptoken'),(61,'Can add 服务器信息',21,'add_bkserver'),(62,'Can change 服务器信息',21,'change_bkserver'),(63,'Can delete 服务器信息',21,'delete_bkserver'),(64,'Can add 第三方服务器信息',22,'add_thirdserver'),(65,'Can change 第三方服务器信息',22,'change_thirdserver'),(66,'Can delete 第三方服务器信息',22,'delete_thirdserver'),(67,'Can add router map',23,'add_bkhostingship'),(68,'Can change router map',23,'change_bkhostingship'),(69,'Can delete router map',23,'delete_bkhostingship'),(70,'Can add app env',24,'add_bkappenv'),(71,'Can change app env',24,'change_bkappenv'),(72,'Can delete app env',24,'delete_bkappenv'),(73,'Can add app event',25,'add_bkappevent'),(74,'Can change app event',25,'change_bkappevent'),(75,'Can delete app event',25,'delete_bkappevent'),(76,'Can add app event log',26,'add_bkappeventlog'),(77,'Can change app event log',26,'change_bkappeventlog'),(78,'Can delete app event log',26,'delete_bkappeventlog'),(79,'Can add 用户收藏应用',27,'add_userapps'),(80,'Can change 用户收藏应用',27,'change_userapps'),(81,'Can delete 用户收藏应用',27,'delete_userapps'),(82,'Can add 用户自定义的应用列表',28,'add_usersettings'),(83,'Can change 用户自定义的应用列表',28,'change_usersettings'),(84,'Can delete 用户自定义的应用列表',28,'delete_usersettings'),(85,'Can add 常用链接',29,'add_usefullinks'),(86,'Can change 常用链接',29,'change_usefullinks'),(87,'Can delete 常用链接',29,'delete_usefullinks'),(88,'Can add SaaS 应用',30,'add_saasapp'),(89,'Can change SaaS 应用',30,'change_saasapp'),(90,'Can delete SaaS 应用',30,'delete_saasapp'),(91,'Can add SaaS 应用版本',31,'add_saasappversion'),(92,'Can change SaaS 应用版本',31,'change_saasappversion'),(93,'Can delete SaaS 应用版本',31,'delete_saasappversion'),(94,'Can add SaaS上传安装包',32,'add_saasuploadfile'),(95,'Can change SaaS上传安装包',32,'change_saasuploadfile'),(96,'Can delete SaaS上传安装包',32,'delete_saasuploadfile'),(97,'Can add 资源下载',33,'add_resource'),(98,'Can change 资源下载',33,'change_resource'),(99,'Can delete 资源下载',33,'delete_resource'),(100,'Can add 微信与蓝鲸用户绑定过程临时表',34,'add_wxbkusertmprecord'),(101,'Can change 微信与蓝鲸用户绑定过程临时表',34,'change_wxbkusertmprecord'),(102,'Can delete 微信与蓝鲸用户绑定过程临时表',34,'delete_wxbkusertmprecord'),(103,'Can add component system',35,'add_componentsystem'),(104,'Can change component system',35,'change_componentsystem'),(105,'Can delete component system',35,'delete_componentsystem'),(106,'Can add esb channel',36,'add_esbchannel'),(107,'Can change esb channel',36,'change_esbchannel'),(108,'Can delete esb channel',36,'delete_esbchannel'),(109,'Can add function controller',37,'add_functioncontroller'),(110,'Can change function controller',37,'change_functioncontroller'),(111,'Can delete function controller',37,'delete_functioncontroller'),(112,'Can add user auth token',38,'add_userauthtoken'),(113,'Can change user auth token',38,'change_userauthtoken'),(114,'Can delete user auth token',38,'delete_userauthtoken'),(115,'Can add esb buffet component',39,'add_esbbuffetcomponent'),(116,'Can change esb buffet component',39,'change_esbbuffetcomponent'),(117,'Can delete esb buffet component',39,'delete_esbbuffetcomponent'),(118,'Can add esb buffet mapping',40,'add_esbbuffetmapping'),(119,'Can change esb buffet mapping',40,'change_esbbuffetmapping'),(120,'Can delete esb buffet mapping',40,'delete_esbbuffetmapping'),(121,'Can add app account',41,'add_appaccount'),(122,'Can change app account',41,'change_appaccount'),(123,'Can delete app account',41,'delete_appaccount'),(124,'Can add API文档',42,'add_componentapidoc'),(125,'Can change API文档',42,'change_componentapidoc'),(126,'Can delete API文档',42,'delete_componentapidoc'),(127,'Can add 接口反馈',43,'add_feedbackforcomponentdocs'),(128,'Can change 接口反馈',43,'change_feedbackforcomponentdocs'),(129,'Can delete 接口反馈',43,'delete_feedbackforcomponentdocs'),(130,'Can add 系统文档分类',44,'add_systemdoccategory'),(131,'Can change 系统文档分类',44,'change_systemdoccategory'),(132,'Can delete 系统文档分类',44,'delete_systemdoccategory'),(133,'Can add APP API权限',45,'add_appcomponentperm'),(134,'Can change APP API权限',45,'change_appcomponentperm'),(135,'Can delete APP API权限',45,'delete_appcomponentperm'),(136,'Can add 微信公众号AccessToken',46,'add_wxmpaccesstoken'),(137,'Can change 微信公众号AccessToken',46,'change_wxmpaccesstoken'),(138,'Can delete 微信公众号AccessToken',46,'delete_wxmpaccesstoken'),(139,'Can add 用户角色',47,'add_bkrole'),(140,'Can change 用户角色',47,'change_bkrole'),(141,'Can delete 用户角色',47,'delete_bkrole'),(142,'Can add user',48,'add_bkuser'),(143,'Can change user',48,'change_bkuser'),(144,'Can delete user',48,'delete_bkuser'),(145,'Can add 用户角色关系表',49,'add_bkuserrole'),(146,'Can change 用户角色关系表',49,'change_bkuserrole'),(147,'Can delete 用户角色关系表',49,'delete_bkuserrole'),(148,'Can add 用户登录日志',50,'add_loignlog'),(149,'Can change 用户登录日志',50,'change_loignlog'),(150,'Can delete 用户登录日志',50,'delete_loignlog'),(151,'Can add 登录票据',51,'add_bktoken'),(152,'Can change 登录票据',51,'change_bktoken'),(153,'Can delete 登录票据',51,'delete_bktoken'),(154,'Can add 用户信息',52,'add_userinfo'),(155,'Can change 用户信息',52,'change_userinfo'),(156,'Can delete 用户信息',52,'delete_userinfo'),(157,'Can add user',53,'add_user'),(158,'Can change user',53,'change_user'),(159,'Can delete user',53,'delete_user'),(160,'Can add app info',54,'add_bkapp'),(161,'Can change app info',54,'change_bkapp'),(162,'Can delete app info',54,'delete_bkapp'),(163,'Can add app token',55,'add_bkapptoken'),(164,'Can change app token',55,'change_bkapptoken'),(165,'Can delete app token',55,'delete_bkapptoken'),(166,'Can add 服务器信息',56,'add_bkserver'),(167,'Can change 服务器信息',56,'change_bkserver'),(168,'Can delete 服务器信息',56,'delete_bkserver'),(169,'Can add router map',57,'add_bkhostingship'),(170,'Can change router map',57,'change_bkhostingship'),(171,'Can delete router map',57,'delete_bkhostingship'),(172,'Can add app env',58,'add_bkappenv'),(173,'Can change app env',58,'change_bkappenv'),(174,'Can delete app env',58,'delete_bkappenv'),(175,'Can add app event',59,'add_bkappevent'),(176,'Can change app event',59,'change_bkappevent'),(177,'Can delete app event',59,'delete_bkappevent'),(178,'Can add app event log',60,'add_bkappeventlog'),(179,'Can change app event log',60,'change_bkappeventlog'),(180,'Can delete app event log',60,'delete_bkappeventlog'),(181,'Can add 第三方服务器信息',61,'add_thirdserver'),(182,'Can change 第三方服务器信息',61,'change_thirdserver'),(183,'Can delete 第三方服务器信息',61,'delete_thirdserver');
/*!40000 ALTER TABLE `auth_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bkaccount_bkuser`
--

DROP TABLE IF EXISTS `bkaccount_bkuser`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bkaccount_bkuser` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `password` varchar(128) NOT NULL,
  `last_login` datetime DEFAULT NULL,
  `is_superuser` tinyint(1) NOT NULL,
  `username` varchar(128) NOT NULL,
  `chname` varchar(254) NOT NULL,
  `qq` varchar(32) NOT NULL,
  `phone` varchar(64) NOT NULL,
  `email` varchar(254) NOT NULL,
  `date_joined` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bkaccount_bkuser`
--

LOCK TABLES `bkaccount_bkuser` WRITE;
/*!40000 ALTER TABLE `bkaccount_bkuser` DISABLE KEYS */;
INSERT INTO `bkaccount_bkuser` VALUES (1,'pbkdf2_sha256$20000$zlywc5FGjnkX$iZ/8kFT3MoqM9cuc4wcrij5s5hMf/qUBuA6DXnSycnw=','2020-11-06 00:43:11',1,'admin','','','','','2020-11-06 00:43:11');
/*!40000 ALTER TABLE `bkaccount_bkuser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bkaccount_bkuser_groups`
--

DROP TABLE IF EXISTS `bkaccount_bkuser_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bkaccount_bkuser_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bkuser_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `bkuser_id` (`bkuser_id`,`group_id`),
  KEY `bkaccount_bkuser_grou_group_id_1caab09198e978c7_fk_auth_group_id` (`group_id`),
  CONSTRAINT `bkaccount_bkuser_grou_group_id_1caab09198e978c7_fk_auth_group_id` FOREIGN KEY (`group_id`) REFERENCES `auth_group` (`id`),
  CONSTRAINT `bkaccount_bkuse_bkuser_id_ce247b885c77e5d_fk_bkaccount_bkuser_id` FOREIGN KEY (`bkuser_id`) REFERENCES `bkaccount_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bkaccount_bkuser_groups`
--

LOCK TABLES `bkaccount_bkuser_groups` WRITE;
/*!40000 ALTER TABLE `bkaccount_bkuser_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `bkaccount_bkuser_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bkaccount_bkuser_user_permissions`
--

DROP TABLE IF EXISTS `bkaccount_bkuser_user_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bkaccount_bkuser_user_permissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bkuser_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `bkuser_id` (`bkuser_id`,`permission_id`),
  KEY `bkaccount_b_permission_id_26621dbdf1e436c0_fk_auth_permission_id` (`permission_id`),
  CONSTRAINT `bkaccount_b_permission_id_26621dbdf1e436c0_fk_auth_permission_id` FOREIGN KEY (`permission_id`) REFERENCES `auth_permission` (`id`),
  CONSTRAINT `bkaccount_bkus_bkuser_id_691db91b3ff78dd7_fk_bkaccount_bkuser_id` FOREIGN KEY (`bkuser_id`) REFERENCES `bkaccount_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bkaccount_bkuser_user_permissions`
--

LOCK TABLES `bkaccount_bkuser_user_permissions` WRITE;
/*!40000 ALTER TABLE `bkaccount_bkuser_user_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `bkaccount_bkuser_user_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `console_wx_bkuser_tmp_record`
--

DROP TABLE IF EXISTS `console_wx_bkuser_tmp_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `console_wx_bkuser_tmp_record` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(32) NOT NULL,
  `bk_token` varchar(255) NOT NULL,
  `wx_ticket` varchar(127) NOT NULL,
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wx_ticket` (`wx_ticket`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `console_wx_bkuser_tmp_record`
--

LOCK TABLES `console_wx_bkuser_tmp_record` WRITE;
/*!40000 ALTER TABLE `console_wx_bkuser_tmp_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `console_wx_bkuser_tmp_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `django_admin_log`
--

DROP TABLE IF EXISTS `django_admin_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `django_admin_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action_time` datetime NOT NULL,
  `object_id` longtext,
  `object_repr` varchar(200) NOT NULL,
  `action_flag` smallint(5) unsigned NOT NULL,
  `change_message` longtext NOT NULL,
  `content_type_id` int(11) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `djang_content_type_id_697914295151027a_fk_django_content_type_id` (`content_type_id`),
  KEY `django_admin_log_user_id_52fdd58701c5f563_fk_account_bkuser_id` (`user_id`),
  CONSTRAINT `django_admin_log_user_id_52fdd58701c5f563_fk_account_bkuser_id` FOREIGN KEY (`user_id`) REFERENCES `account_bkuser` (`id`),
  CONSTRAINT `djang_content_type_id_697914295151027a_fk_django_content_type_id` FOREIGN KEY (`content_type_id`) REFERENCES `django_content_type` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `django_admin_log`
--

LOCK TABLES `django_admin_log` WRITE;
/*!40000 ALTER TABLE `django_admin_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `django_admin_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `django_content_type`
--

DROP TABLE IF EXISTS `django_content_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `django_content_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_label` varchar(100) NOT NULL,
  `model` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `django_content_type_app_label_45f3b1d93ec8c61c_uniq` (`app_label`,`model`)
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `django_content_type`
--

LOCK TABLES `django_content_type` WRITE;
/*!40000 ALTER TABLE `django_content_type` DISABLE KEYS */;
INSERT INTO `django_content_type` VALUES (8,'account','bktoken'),(6,'account','bkuser'),(7,'account','loignlog'),(1,'admin','logentry'),(54,'api','bkapp'),(58,'api','bkappenv'),(59,'api','bkappevent'),(60,'api','bkappeventlog'),(55,'api','bkapptoken'),(57,'api','bkhostingship'),(56,'api','bkserver'),(61,'api','thirdserver'),(10,'app','app'),(9,'app','apptags'),(12,'app','desktopsettings'),(11,'app','secureinfo'),(13,'app_env','appenvvar'),(3,'auth','group'),(2,'auth','permission'),(53,'auth','user'),(47,'bkaccount','bkrole'),(51,'bkaccount','bktoken'),(48,'bkaccount','bkuser'),(49,'bkaccount','bkuserrole'),(50,'bkaccount','loignlog'),(52,'bkaccount','userinfo'),(41,'bkcore','appaccount'),(45,'bkcore','appcomponentperm'),(42,'bkcore','componentapidoc'),(35,'bkcore','componentsystem'),(39,'bkcore','esbbuffetcomponent'),(40,'bkcore','esbbuffetmapping'),(36,'bkcore','esbchannel'),(43,'bkcore','feedbackforcomponentdocs'),(37,'bkcore','functioncontroller'),(44,'bkcore','systemdoccategory'),(38,'bkcore','userauthtoken'),(46,'bkcore','wxmpaccesstoken'),(4,'contenttypes','contenttype'),(19,'engine','bkapp'),(24,'engine','bkappenv'),(25,'engine','bkappevent'),(26,'engine','bkappeventlog'),(20,'engine','bkapptoken'),(18,'engine','bkcluster'),(23,'engine','bkhostingship'),(21,'engine','bkserver'),(22,'engine','thirdserver'),(29,'home','usefullinks'),(27,'home','userapps'),(28,'home','usersettings'),(14,'release','record'),(17,'release','useroperaterecord'),(15,'release','version'),(16,'release','versiondetail'),(33,'resource','resource'),(30,'saas','saasapp'),(31,'saas','saasappversion'),(32,'saas','saasuploadfile'),(5,'sessions','session'),(34,'user_center','wxbkusertmprecord');
/*!40000 ALTER TABLE `django_content_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `django_migrations`
--

DROP TABLE IF EXISTS `django_migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `django_migrations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `applied` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `django_migrations`
--

LOCK TABLES `django_migrations` WRITE;
/*!40000 ALTER TABLE `django_migrations` DISABLE KEYS */;
INSERT INTO `django_migrations` VALUES (1,'contenttypes','0001_initial','2020-11-06 08:42:55'),(2,'contenttypes','0002_remove_content_type_name','2020-11-06 08:42:55'),(3,'auth','0001_initial','2020-11-06 08:42:55'),(4,'auth','0002_alter_permission_name_max_length','2020-11-06 08:42:55'),(5,'auth','0003_alter_user_email_max_length','2020-11-06 08:42:55'),(6,'auth','0004_alter_user_username_opts','2020-11-06 08:42:55'),(7,'auth','0005_alter_user_last_login_null','2020-11-06 08:42:55'),(8,'auth','0006_require_contenttypes_0002','2020-11-06 08:42:55'),(9,'account','0001_initial','2020-11-06 08:42:55'),(10,'account','0002_initial_user_data','2020-11-06 08:42:55'),(11,'account','0003_bkuser_role','2020-11-06 08:42:55'),(12,'admin','0001_initial','2020-11-06 08:42:55'),(13,'app','0001_initial','2020-11-06 08:42:55'),(14,'app','0002_auto_20160615_2036','2020-11-06 08:42:55'),(15,'app','0003_app_deploy_token','2020-11-06 08:42:55'),(16,'app','0004_auto_20160929_1101','2020-11-06 08:42:55'),(17,'app','0005_auto_20161017_1038','2020-11-06 08:42:55'),(18,'app','0006_app_is_saas','2020-11-06 08:42:55'),(19,'app','0007_auto_20161111_1348','2020-11-06 08:42:55'),(20,'app','0008_auto_20190124_1708','2020-11-06 08:42:55'),(21,'app_env','0001_initial','2020-11-06 08:42:55'),(22,'app_env','0002_auto_20170821_1814','2020-11-06 08:42:55'),(23,'app_env','0003_auto_20170821_2127','2020-11-06 08:42:55'),(24,'saas','0001_initial','2020-11-06 08:42:55'),(25,'saas','0002_auto_20161025_2016','2020-11-06 08:42:55'),(26,'saas','0003_saasuploadfile_md5','2020-11-06 08:42:55'),(27,'saas','0004_saasapp_created_time','2020-11-06 08:42:55'),(28,'saas','0005_auto_20161101_1025','2020-11-06 08:42:55'),(29,'saas','0006_auto_20161111_1827','2020-11-06 08:42:55'),(30,'bk_app','0001_load_bkapps_intial_data','2020-11-06 08:42:55'),(31,'bkcore','0001_initial','2020-11-06 08:42:55'),(32,'bkcore','0002_auto_20160712_2041','2020-11-06 08:42:55'),(33,'bkcore','0003_load_intial_data','2020-11-06 08:42:55'),(34,'bkcore','0004_auto_20170220_2054','2020-11-06 08:42:55'),(35,'bkcore','0005_appaccount','2020-11-06 08:42:55'),(36,'bkcore','0006_esbchannel_comp_conf','2020-11-06 08:42:55'),(37,'bkcore','0007_auto_20170619_1050','2020-11-06 08:42:56'),(38,'bkcore','0008_auto_20170629_1138','2020-11-06 08:42:56'),(39,'bkcore','0009_wxmpaccesstoken','2020-11-06 08:42:56'),(40,'bkcore','0010_auto_20180420_1657','2020-11-06 08:42:56'),(41,'bkcore','0011_auto_20180626_2134','2020-11-06 08:42:56'),(42,'engine','0001_initial','2020-11-06 08:42:56'),(43,'engine','0002_auto_20160426_0959','2020-11-06 08:42:56'),(44,'engine','0003_auto_20160629_1545','2020-11-06 08:42:56'),(45,'engine','0004_auto_20160912_1741','2020-11-06 08:42:56'),(46,'engine','0005_auto_20160929_1109','2020-11-06 08:42:56'),(47,'home','0001_initial','2020-11-06 08:42:56'),(48,'home','0002_usersettings','2020-11-06 08:42:56'),(49,'home','0003_auto_20180126_1702','2020-11-06 08:42:56'),(50,'release','0001_initial','2020-11-06 08:42:56'),(51,'resource','0001_initial','2020-11-06 08:42:56'),(52,'resource','0002_data_insert_framework','2020-11-06 08:42:56'),(53,'resource','0003_init_data','2020-11-06 08:42:56'),(54,'resource','0004_insert_api_dev_template','2020-11-06 08:42:56'),(55,'resource','0005_data_insert_framework_py3','2020-11-06 08:42:56'),(56,'resource','0006_upgrade_framework','2020-11-06 08:42:56'),(57,'resource','0007_update_python_doc_url','2020-11-06 08:42:56'),(58,'resource','0008_upgrade_framework','2020-11-06 08:42:56'),(59,'sessions','0001_initial','2020-11-06 08:42:56'),(60,'user_center','0001_initial','2020-11-06 08:42:56'),(61,'bkaccount','0001_initial','2020-11-06 00:43:11'),(62,'bkaccount','0002_initial_user_data','2020-11-06 00:43:11'),(63,'bkaccount','0003_bktoken_inactive_expire_time','2020-11-06 00:43:11'),(64,'bkaccount','0004_auto_20170621_0929','2020-11-06 00:43:11'),(65,'bkaccount','0005_initial_role','2020-11-06 00:43:11'),(66,'bkaccount','0006_initial_bkuser_role','2020-11-06 00:43:11'),(67,'bkaccount','0007_userinfo','2020-11-06 00:43:11'),(68,'bkaccount','0008_auto_20171116_2026','2020-11-06 00:43:11'),(69,'bkaccount','0009_add_role_data','2020-11-06 00:43:11');
/*!40000 ALTER TABLE `django_migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `django_session`
--

DROP TABLE IF EXISTS `django_session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `django_session` (
  `session_key` varchar(40) NOT NULL,
  `session_data` longtext NOT NULL,
  `expire_date` datetime NOT NULL,
  PRIMARY KEY (`session_key`),
  KEY `django_session_de54fa62` (`expire_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `django_session`
--

LOCK TABLES `django_session` WRITE;
/*!40000 ALTER TABLE `django_session` DISABLE KEYS */;
/*!40000 ALTER TABLE `django_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_app_envs`
--

DROP TABLE IF EXISTS `engine_app_envs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_app_envs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mode` varchar(200) NOT NULL,
  `key` varchar(200) NOT NULL,
  `value` varchar(200) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `bk_app_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `engine_app_envs_bk_app_id_79795a49b7dd8d8b_fk_engine_apps_id` (`bk_app_id`),
  CONSTRAINT `engine_app_envs_bk_app_id_79795a49b7dd8d8b_fk_engine_apps_id` FOREIGN KEY (`bk_app_id`) REFERENCES `engine_apps` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_app_envs`
--

LOCK TABLES `engine_app_envs` WRITE;
/*!40000 ALTER TABLE `engine_app_envs` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_app_envs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_app_event_logs`
--

DROP TABLE IF EXISTS `engine_app_event_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_app_event_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `log` longtext NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `bk_app_event_id` char(32) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `engine__bk_app_event_id_161ffd18f40a3d04_fk_engine_app_events_id` (`bk_app_event_id`),
  CONSTRAINT `engine__bk_app_event_id_161ffd18f40a3d04_fk_engine_app_events_id` FOREIGN KEY (`bk_app_event_id`) REFERENCES `engine_app_events` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_app_event_logs`
--

LOCK TABLES `engine_app_event_logs` WRITE;
/*!40000 ALTER TABLE `engine_app_event_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_app_event_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_app_events`
--

DROP TABLE IF EXISTS `engine_app_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_app_events` (
  `id` char(32) NOT NULL,
  `event_type` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `bk_app_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `engine_app_events_bk_app_id_638a5aa6638cf9d6_fk_engine_apps_id` (`bk_app_id`),
  CONSTRAINT `engine_app_events_bk_app_id_638a5aa6638cf9d6_fk_engine_apps_id` FOREIGN KEY (`bk_app_id`) REFERENCES `engine_apps` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_app_events`
--

LOCK TABLES `engine_app_events` WRITE;
/*!40000 ALTER TABLE `engine_app_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_app_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_app_tokens`
--

DROP TABLE IF EXISTS `engine_app_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_app_tokens` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` char(32) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `bk_app_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `engine_app_tokens_bk_app_id_35f82d9404d6dd5d_fk_engine_apps_id` (`bk_app_id`),
  CONSTRAINT `engine_app_tokens_bk_app_id_35f82d9404d6dd5d_fk_engine_apps_id` FOREIGN KEY (`bk_app_id`) REFERENCES `engine_apps` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_app_tokens`
--

LOCK TABLES `engine_app_tokens` WRITE;
/*!40000 ALTER TABLE `engine_app_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_app_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_apps`
--

DROP TABLE IF EXISTS `engine_apps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_apps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `logo` varchar(100) NOT NULL,
  `app_code` varchar(100) NOT NULL,
  `app_lang` varchar(100) NOT NULL,
  `app_type` varchar(100) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `app_code` (`app_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_apps`
--

LOCK TABLES `engine_apps` WRITE;
/*!40000 ALTER TABLE `engine_apps` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_apps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_clusters`
--

DROP TABLE IF EXISTS `engine_clusters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_clusters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_clusters`
--

LOCK TABLES `engine_clusters` WRITE;
/*!40000 ALTER TABLE `engine_clusters` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_clusters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_hosting_ships`
--

DROP TABLE IF EXISTS `engine_hosting_ships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_hosting_ships` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `is_active` tinyint(1) NOT NULL,
  `is_master` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `bk_app_id` int(11) NOT NULL,
  `bk_server_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `engine_hosting_ship_bk_app_id_438684a48ab9d1a4_fk_engine_apps_id` (`bk_app_id`),
  KEY `engine_hosting_ships_2a012a10` (`bk_server_id`),
  CONSTRAINT `engine_hostin_bk_server_id_3be78b50662c9b45_fk_engine_servers_id` FOREIGN KEY (`bk_server_id`) REFERENCES `engine_servers` (`id`),
  CONSTRAINT `engine_hosting_ship_bk_app_id_438684a48ab9d1a4_fk_engine_apps_id` FOREIGN KEY (`bk_app_id`) REFERENCES `engine_apps` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_hosting_ships`
--

LOCK TABLES `engine_hosting_ships` WRITE;
/*!40000 ALTER TABLE `engine_hosting_ships` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_hosting_ships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_servers`
--

DROP TABLE IF EXISTS `engine_servers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_servers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `s_id` char(32) NOT NULL,
  `token` char(32) NOT NULL,
  `ip_address` varchar(36) NOT NULL,
  `ip_port` varchar(36) NOT NULL,
  `category` varchar(36) NOT NULL,
  `info` varchar(200) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `app_port` varchar(36) NOT NULL,
  `mac` varchar(36) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_servers`
--

LOCK TABLES `engine_servers` WRITE;
/*!40000 ALTER TABLE `engine_servers` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_servers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engine_third_servers`
--

DROP TABLE IF EXISTS `engine_third_servers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_third_servers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(36) NOT NULL,
  `server_info` longtext NOT NULL,
  `info` varchar(200) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `engine_third_servers`
--

LOCK TABLES `engine_third_servers` WRITE;
/*!40000 ALTER TABLE `engine_third_servers` DISABLE KEYS */;
/*!40000 ALTER TABLE `engine_third_servers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_api_doc`
--

DROP TABLE IF EXISTS `esb_api_doc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_api_doc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `board` varchar(64) DEFAULT NULL,
  `component_id` int(11) NOT NULL,
  `doc_md` longtext,
  `doc_html` longtext,
  `doc_md_md5` varchar(128) NOT NULL,
  `created_time` datetime NOT NULL,
  `updated_time` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `component_id` (`component_id`) USING BTREE,
  KEY `esb_api_doc_1145f263` (`board`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_api_doc`
--

LOCK TABLES `esb_api_doc` WRITE;
/*!40000 ALTER TABLE `esb_api_doc` DISABLE KEYS */;
INSERT INTO `esb_api_doc` VALUES (1,'',1,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_manual_add_agent/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0\\u624b\\u52a8\\u6dfb\\u52a0\\u7684Agent\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_manual_add_agent/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0\\u624b\\u52a8\\u6dfb\\u52a0\\u7684Agent\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_manual_add_agent/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0\\u624b\\u52a8\\u6dfb\\u52a0\\u7684Agent\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_manual_add_agent/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0\\u624b\\u52a8\\u6dfb\\u52a0\\u7684Agent\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','d22582b924703333b162734f5a1ee167','2020-04-22 08:56:22','2020-04-22 08:56:22'),(2,'',2,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_controller/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| name | string | \\u5426  | \\u63a7\\u5236\\u5668name |\\n| id | string | \\u5426  | \\u63a7\\u5236\\u5668id |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_controller/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| name | string | \\u5426  | \\u63a7\\u5236\\u5668name |\\n| id | string | \\u5426  | \\u63a7\\u5236\\u5668id |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_controller/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>name</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u63a7\\u5236\\u5668name</td>\\n</tr>\\n<tr>\\n<td>id</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u63a7\\u5236\\u5668id</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_controller/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>name</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u63a7\\u5236\\u5668name</td>\\n</tr>\\n<tr>\\n<td>id</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u63a7\\u5236\\u5668id</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','0695a23c9ace761d6d408f2371e60175','2020-04-22 08:56:22','2020-04-22 08:56:22'),(3,'',3,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_all_host/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| model_code | str | \\u5426   | \\u6a21\\u578bcode |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20007,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": {\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_all_host/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| model_code | str | \\u5426   | \\u6a21\\u578bcode |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20007,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": {\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_all_host/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>model_code</td>\\n<td>str</td>\\n<td>\\u5426</td>\\n<td>\\u6a21\\u578bcode</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20007</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_all_host/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>model_code</td>\\n<td>str</td>\\n<td>\\u5426</td>\\n<td>\\u6a21\\u578bcode</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20007</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','b7f2f3928dcaa2f6b22c42657054ec8d','2020-04-22 08:56:22','2020-05-13 07:43:53'),(4,'',4,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/import_inst/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u5bfc\\u5165\\u5b9e\\u4f8b\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| data | dict | \\u662f    | \\u5b9e\\u4f8b\\u4fe1\\u606f |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"data\\\": {\\n        \\\"data\\\": {\\n            \\\"HOST_name\\\": \\\"\\u4e3b\\u673a\\u540d\\\",\\n            \\\"HOST_IP\\\": \\\"127.0.0.1\\\"\\n        },\\n        \\\"model_code\\\": \\\"HOST\\\",\\n        \\\"pk_name\\\": \\\"HOST_name\\\",\\n        \\\"pk_value\\\": \\\"\\u4e3b\\u673a\\u540d\\\"\\n    }\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20007,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f\\\",\\n    \\\"data\\\": {\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/import_inst/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u5bfc\\u5165\\u5b9e\\u4f8b\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| data | dict | \\u662f    | \\u5b9e\\u4f8b\\u4fe1\\u606f |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"data\\\": {\\n        \\\"data\\\": {\\n            \\\"HOST_name\\\": \\\"\\u4e3b\\u673a\\u540d\\\",\\n            \\\"HOST_IP\\\": \\\"127.0.0.1\\\"\\n        },\\n        \\\"model_code\\\": \\\"HOST\\\",\\n        \\\"pk_name\\\": \\\"HOST_name\\\",\\n        \\\"pk_value\\\": \\\"\\u4e3b\\u673a\\u540d\\\"\\n    }\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20007,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f\\\",\\n    \\\"data\\\": {\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/import_inst/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u5bfc\\u5165\\u5b9e\\u4f8b\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>data</td>\\n<td>dict</td>\\n<td>\\u662f</td>\\n<td>\\u5b9e\\u4f8b\\u4fe1\\u606f</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;HOST_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u4e3b\\u673a\\u540d&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;HOST_IP&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.1&quot;</span>\\n        <span class=\\\"p\\\">},</span>\\n        <span class=\\\"s2\\\">&quot;model_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;HOST&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;pk_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;HOST_name&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;pk_value&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u4e3b\\u673a\\u540d&quot;</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20007</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/import_inst/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u5bfc\\u5165\\u5b9e\\u4f8b\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>data</td>\\n<td>dict</td>\\n<td>\\u662f</td>\\n<td>\\u5b9e\\u4f8b\\u4fe1\\u606f</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;HOST_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u4e3b\\u673a\\u540d&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;HOST_IP&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.1&quot;</span>\\n        <span class=\\\"p\\\">},</span>\\n        <span class=\\\"s2\\\">&quot;model_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;HOST&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;pk_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;HOST_name&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;pk_value&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u4e3b\\u673a\\u540d&quot;</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20007</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','d8f59393e97542a6a608625ba28d7c0c','2020-04-22 08:56:22','2020-04-22 08:56:22'),(5,'',5,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/update_agent_state/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| list | array | \\u662f    | \\u8282\\u70b9\\u5217\\u8868 |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n     \\\"list\\\":[\\n        {\\n            \\\"ip\\\": \\\"127.0.0.1\\\",\\n            \\\"agent\\\": \\\"Agent\\u6b63\\u5e38\\\",\\n            \\\"controller_name\\\": \\\"default.None\\\"\\n        },\\n        {\\n            \\\"ip\\\": \\\"127.0.0.2\\\",\\n            \\\"agent\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n            \\\"controller_name\\\": \\\"default.None\\\"\\n        }\\n    ]\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20001,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\":  [\\n    {\\n        \\\"code\\\": 22,\\n        \\\"model_code\\\": \\\"SERVER\\\",\\n        \\\"data\\\": {\\n            \\\"SERVER_name\\\": \\\"xxxxx\\\",\\n            \\\"SERVER_IN_RACK\\\": \\\"xxxxx\\\",\\n            \\\"SERVER_HOSTNAME\\\": \\\"xxxxx\\\",\\n            \\\"SERVER_INTERNAL_IP\\\": \\\"\\\",\\n            \\\"SERVER_PUBLIC_IP\\\": \\\"xxxx\\\",\\n            \\\"SERVER_AGENT_STATE\\\": \\\"Agent\\u6b63\\u5e38\\\",\\n            \\\"SERVER_CONTROLLER_NAME\\\": \\\"default.None\\\"\\n        },\\n        \\\"pk_name\\\": \\\"SERVER_name\\\",\\n        \\\"pk_value\\\": \\\"xxxxx\\\",\\n        \\\"position\\\": \\\"xx\\\",\\n        \\\"import_type\\\": \\\"\\u9010\\u6761\\u5f55\\u5165\\\",\\n        \\\"link_inst\\\": [],\\n        \\\"parent_inst\\\": \\\"xx\\\",\\n        \\\"business_code\\\": \\\"x\\\"\\n    }\\n]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/update_agent_state/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| list | array | \\u662f    | \\u8282\\u70b9\\u5217\\u8868 |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n     \\\"list\\\":[\\n        {\\n            \\\"ip\\\": \\\"127.0.0.1\\\",\\n            \\\"agent\\\": \\\"Agent\\u6b63\\u5e38\\\",\\n            \\\"controller_name\\\": \\\"default.None\\\"\\n        },\\n        {\\n            \\\"ip\\\": \\\"127.0.0.2\\\",\\n            \\\"agent\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n            \\\"controller_name\\\": \\\"default.None\\\"\\n        }\\n    ]\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20001,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\":  [\\n    {\\n        \\\"code\\\": 22,\\n        \\\"model_code\\\": \\\"SERVER\\\",\\n        \\\"data\\\": {\\n            \\\"SERVER_name\\\": \\\"xxxxx\\\",\\n            \\\"SERVER_IN_RACK\\\": \\\"xxxxx\\\",\\n            \\\"SERVER_HOSTNAME\\\": \\\"xxxxx\\\",\\n            \\\"SERVER_INTERNAL_IP\\\": \\\"\\\",\\n            \\\"SERVER_PUBLIC_IP\\\": \\\"xxxx\\\",\\n            \\\"SERVER_AGENT_STATE\\\": \\\"Agent\\u6b63\\u5e38\\\",\\n            \\\"SERVER_CONTROLLER_NAME\\\": \\\"default.None\\\"\\n        },\\n        \\\"pk_name\\\": \\\"SERVER_name\\\",\\n        \\\"pk_value\\\": \\\"xxxxx\\\",\\n        \\\"position\\\": \\\"xx\\\",\\n        \\\"import_type\\\": \\\"\\u9010\\u6761\\u5f55\\u5165\\\",\\n        \\\"link_inst\\\": [],\\n        \\\"parent_inst\\\": \\\"xx\\\",\\n        \\\"business_code\\\": \\\"x\\\"\\n    }\\n]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/update_agent_state/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>list</td>\\n<td>array</td>\\n<td>\\u662f</td>\\n<td>\\u8282\\u70b9\\u5217\\u8868</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n     <span class=\\\"s2\\\">&quot;list&quot;</span><span class=\\\"p\\\">:[</span>\\n        <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.1&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;agent&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u6b63\\u5e38&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span>\\n        <span class=\\\"p\\\">},</span>\\n        <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.2&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;agent&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span>\\n        <span class=\\\"p\\\">}</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20001</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"p\\\">[</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">22</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;model_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;SERVER&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_IN_RACK&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_HOSTNAME&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_INTERNAL_IP&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_PUBLIC_IP&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_AGENT_STATE&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u6b63\\u5e38&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_CONTROLLER_NAME&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span>\\n        <span class=\\\"p\\\">},</span>\\n        <span class=\\\"s2\\\">&quot;pk_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;SERVER_name&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;pk_value&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;position&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;import_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9010\\u6761\\u5f55\\u5165&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;link_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[],</span>\\n        <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;business_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;x&quot;</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/update_agent_state/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>list</td>\\n<td>array</td>\\n<td>\\u662f</td>\\n<td>\\u8282\\u70b9\\u5217\\u8868</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n     <span class=\\\"s2\\\">&quot;list&quot;</span><span class=\\\"p\\\">:[</span>\\n        <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.1&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;agent&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u6b63\\u5e38&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span>\\n        <span class=\\\"p\\\">},</span>\\n        <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.2&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;agent&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span>\\n        <span class=\\\"p\\\">}</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20001</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"p\\\">[</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">22</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;model_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;SERVER&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_IN_RACK&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_HOSTNAME&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_INTERNAL_IP&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_PUBLIC_IP&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_AGENT_STATE&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u6b63\\u5e38&quot;</span><span class=\\\"p\\\">,</span>\\n            <span class=\\\"s2\\\">&quot;SERVER_CONTROLLER_NAME&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span>\\n        <span class=\\\"p\\\">},</span>\\n        <span class=\\\"s2\\\">&quot;pk_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;SERVER_name&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;pk_value&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;position&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;import_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9010\\u6761\\u5f55\\u5165&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;link_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[],</span>\\n        <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;business_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;x&quot;</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','4e91ad06411416fb468c2bb35db02dba','2020-04-22 08:56:22','2020-04-22 08:56:22'),(6,'',6,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/import_grains_from_control/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u5bfc\\u5165Grains\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| grains_data | \\u7b26\\u5408\\u7c7b\\u578b | \\u662f    | \\u5bfc\\u5165\\u4fe1\\u606f |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"grains_data\\\":  {\\n    \'grains_data\': {\\n        \'CLOUD_SERVER_HOSTNAME\': \'www.xxxxxxxxx.com\',\\n        ....\\n    },\\n    \'pk_name\': \'xxxxxxxxxxxxx\',\\n    \'pk_value\': \'xxxxxxxxxxx\',\\n    \'model_code\': \'xxxxxxxxxxxxxxxx\',\\n    \'import_type\': \'Agent\\u91c7\\u96c6\',\\n    \'position\': \'xxxxxxxxxxx\'\\n}\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20002,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f\\\",\\n    \\\"grains_data\\\": {\\n        ...\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/import_grains_from_control/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u5bfc\\u5165Grains\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| grains_data | \\u7b26\\u5408\\u7c7b\\u578b | \\u662f    | \\u5bfc\\u5165\\u4fe1\\u606f |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"grains_data\\\":  {\\n    \'grains_data\': {\\n        \'CLOUD_SERVER_HOSTNAME\': \'www.xxxxxxxxx.com\',\\n        ....\\n    },\\n    \'pk_name\': \'xxxxxxxxxxxxx\',\\n    \'pk_value\': \'xxxxxxxxxxx\',\\n    \'model_code\': \'xxxxxxxxxxxxxxxx\',\\n    \'import_type\': \'Agent\\u91c7\\u96c6\',\\n    \'position\': \'xxxxxxxxxxx\'\\n}\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20002,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f\\\",\\n    \\\"grains_data\\\": {\\n        ...\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/import_grains_from_control/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u5bfc\\u5165Grains\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>grains_data</td>\\n<td>\\u7b26\\u5408\\u7c7b\\u578b</td>\\n<td>\\u662f</td>\\n<td>\\u5bfc\\u5165\\u4fe1\\u606f</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;grains_data&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"p\\\">{</span>\\n    <span class=\\\"s1\\\">&#39;grains_data&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s1\\\">&#39;CLOUD_SERVER_HOSTNAME&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;www.xxxxxxxxx.com&#39;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"o\\\">....</span>\\n    <span class=\\\"p\\\">},</span>\\n    <span class=\\\"s1\\\">&#39;pk_name&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxxxx&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;pk_value&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxx&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;model_code&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxxxxxxx&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;import_type&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;Agent\\u91c7\\u96c6&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;position&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxx&#39;</span>\\n<span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20002</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;grains_data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/import_grains_from_control/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u5bfc\\u5165Grains\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>grains_data</td>\\n<td>\\u7b26\\u5408\\u7c7b\\u578b</td>\\n<td>\\u662f</td>\\n<td>\\u5bfc\\u5165\\u4fe1\\u606f</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;grains_data&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"p\\\">{</span>\\n    <span class=\\\"s1\\\">&#39;grains_data&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s1\\\">&#39;CLOUD_SERVER_HOSTNAME&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;www.xxxxxxxxx.com&#39;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"o\\\">....</span>\\n    <span class=\\\"p\\\">},</span>\\n    <span class=\\\"s1\\\">&#39;pk_name&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxxxx&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;pk_value&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxx&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;model_code&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxxxxxxx&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;import_type&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;Agent\\u91c7\\u96c6&#39;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s1\\\">&#39;position&#39;</span><span class=\\\"p\\\">:</span> <span class=\\\"s1\\\">&#39;xxxxxxxxxxx&#39;</span>\\n<span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20002</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u521b\\u5efa\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;grains_data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','fd04cb00f3bc15d6898ac18bbefdcc27','2020-04-22 08:56:22','2020-04-22 08:56:22'),(7,'',7,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_inst_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u5b9e\\u4f8b\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| code | string | \\u662f    | \\u4e1a\\u52a1code |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20007,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": {\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_inst_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u5b9e\\u4f8b\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| code | string | \\u662f    | \\u4e1a\\u52a1code |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20007,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": {\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_inst_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u5b9e\\u4f8b\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20007</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_inst_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u5b9e\\u4f8b\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20007</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','20836e375a35a17b92319ec5954fa0b9','2020-04-22 08:56:22','2020-04-22 08:56:22'),(8,'',8,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_agent_by_business_code/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u6839\\u636e\\u4e1a\\u52a1code\\u67e5\\u8be2\\u8282\\u70b9\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| code | string | \\u662f  | \\u4e1a\\u52a1code |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20001,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n    {\\n        \\\"normal\\\": 1,\\n        \\\"not_install\\\": 4,\\n        \\\"agent_info\\\": [\\n            {\\n                \\\"ip\\\": \\\"xxxxxx\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u6b63\\u5e38\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"192.169.0.100\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"127.0.0.1\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            }\\n        ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_agent_by_business_code/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u6839\\u636e\\u4e1a\\u52a1code\\u67e5\\u8be2\\u8282\\u70b9\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| code | string | \\u662f  | \\u4e1a\\u52a1code |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20001,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n    {\\n        \\\"normal\\\": 1,\\n        \\\"not_install\\\": 4,\\n        \\\"agent_info\\\": [\\n            {\\n                \\\"ip\\\": \\\"xxxxxx\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u6b63\\u5e38\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"192.169.0.100\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            },\\n            {\\n                \\\"ip\\\": \\\"127.0.0.1\\\",\\n                \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                \\\"controller_name\\\": \\\"default.None\\\",\\n                \\\"system_type\\\": \\\"Linux\\\",\\n                \\\"parent_inst\\\": \\\"12\\\"\\n            }\\n        ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_agent_by_business_code/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u6839\\u636e\\u4e1a\\u52a1code\\u67e5\\u8be2\\u8282\\u70b9\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20001</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;normal&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;not_install&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">4</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;agent_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u6b63\\u5e38&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;192.169.0.100&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_agent_by_business_code/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u6839\\u636e\\u4e1a\\u52a1code\\u67e5\\u8be2\\u8282\\u70b9\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20001</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;normal&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;not_install&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">4</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;agent_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u6b63\\u5e38&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;192.169.0.100&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">},</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;127.0.0.1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;default.None&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;12&quot;</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','4e45163d1b5484ab4ff07b376cad3d66','2020-04-22 08:56:22','2020-04-22 08:56:22'),(9,'',9,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_all_business/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e1a\\u52a1\\u4ee5\\u53ca\\u5b9e\\u4f8b\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20001,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n    {\\n        \\\"son\\\": [\\n            {\\n                \\\"code\\\": 11,\\n                \\\"model_code\\\": \\\"APPLICATION\\\",\\n                \\\"data\\\": {\\n                    \\\"APPLICATION_name\\\": \\\"\\u5546\\u57ce\\u4e2d\\u53f0\\\",\\n                    \\\"APPLICATION_ID\\\": \\\"SHARE_SERVICE\\\",\\n                    \\\"APPLICATION_STATUS\\\": \\\"\\u8fd0\\u884c\\u4e2d\\\",\\n                    \\\"APPLICATION_IN_BUSINESS\\\": \\\"\\u7f51\\u4e0a\\u5546\\u57ce\\\"\\n                },\\n                \\\"pk_name\\\": \\\"APPLICATION_name\\\",\\n                \\\"pk_value\\\": \\\"\\u7f51\\u4e0a\\u5546\\u57ce->\\u5546\\u57ce\\u4e2d\\u53f0\\\",\\n                \\\"position\\\": \\\"yw\\\",\\n                \\\"import_type\\\": \\\"\\u9010\\u6761\\u5f55\\u5165\\\",\\n                \\\"link_inst\\\": [],\\n                \\\"parent_inst\\\": \\\"1\\\",\\n                \\\"business_code\\\": \\\"\\u672a\\u5206\\u914d\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"agent_info\\\": [\\n            {\\n                \\\"normal\\\": 0,\\n                \\\"not_install\\\": 1,\\n                \\\"agent_info\\\": [\\n                    {\\n                        \\\"ip\\\": \\\"xxxxxxxxxxxxxxxx\\\",\\n                        \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                        \\\"controller_name\\\": \\\"\\u672c\\u5730\\u670d\\u52a1\\u5668\\\",\\n                        \\\"system_type\\\": \\\"Linux\\\",\\n                        \\\"parent_inst\\\": \\\"xxxx\\\",\\n                        \\\"host_name\\\": \\\"xxxxxxxxxxxxxxx\\\",\\n                        \\\"ip_type\\\": \\\"\\u5916\\u7f51IP\\\"\\n                    }\\n                ]\\n            }\\n        ]\\n    }\\n]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_all_business/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e1a\\u52a1\\u4ee5\\u53ca\\u5b9e\\u4f8b\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20001,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n    {\\n        \\\"son\\\": [\\n            {\\n                \\\"code\\\": 11,\\n                \\\"model_code\\\": \\\"APPLICATION\\\",\\n                \\\"data\\\": {\\n                    \\\"APPLICATION_name\\\": \\\"\\u5546\\u57ce\\u4e2d\\u53f0\\\",\\n                    \\\"APPLICATION_ID\\\": \\\"SHARE_SERVICE\\\",\\n                    \\\"APPLICATION_STATUS\\\": \\\"\\u8fd0\\u884c\\u4e2d\\\",\\n                    \\\"APPLICATION_IN_BUSINESS\\\": \\\"\\u7f51\\u4e0a\\u5546\\u57ce\\\"\\n                },\\n                \\\"pk_name\\\": \\\"APPLICATION_name\\\",\\n                \\\"pk_value\\\": \\\"\\u7f51\\u4e0a\\u5546\\u57ce->\\u5546\\u57ce\\u4e2d\\u53f0\\\",\\n                \\\"position\\\": \\\"yw\\\",\\n                \\\"import_type\\\": \\\"\\u9010\\u6761\\u5f55\\u5165\\\",\\n                \\\"link_inst\\\": [],\\n                \\\"parent_inst\\\": \\\"1\\\",\\n                \\\"business_code\\\": \\\"\\u672a\\u5206\\u914d\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"agent_info\\\": [\\n            {\\n                \\\"normal\\\": 0,\\n                \\\"not_install\\\": 1,\\n                \\\"agent_info\\\": [\\n                    {\\n                        \\\"ip\\\": \\\"xxxxxxxxxxxxxxxx\\\",\\n                        \\\"agent_state\\\": \\\"Agent\\u672a\\u5b89\\u88c5\\\",\\n                        \\\"controller_name\\\": \\\"\\u672c\\u5730\\u670d\\u52a1\\u5668\\\",\\n                        \\\"system_type\\\": \\\"Linux\\\",\\n                        \\\"parent_inst\\\": \\\"xxxx\\\",\\n                        \\\"host_name\\\": \\\"xxxxxxxxxxxxxxx\\\",\\n                        \\\"ip_type\\\": \\\"\\u5916\\u7f51IP\\\"\\n                    }\\n                ]\\n            }\\n        ]\\n    }\\n]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_all_business/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e1a\\u52a1\\u4ee5\\u53ca\\u5b9e\\u4f8b</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20001</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;son&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">11</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;model_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;APPLICATION&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u5546\\u57ce\\u4e2d\\u53f0&quot;</span><span class=\\\"p\\\">,</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_ID&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;SHARE_SERVICE&quot;</span><span class=\\\"p\\\">,</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_STATUS&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u8fd0\\u884c\\u4e2d&quot;</span><span class=\\\"p\\\">,</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_IN_BUSINESS&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u7f51\\u4e0a\\u5546\\u57ce&quot;</span>\\n                <span class=\\\"p\\\">},</span>\\n                <span class=\\\"s2\\\">&quot;pk_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;APPLICATION_name&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;pk_value&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u7f51\\u4e0a\\u5546\\u57ce-&gt;\\u5546\\u57ce\\u4e2d\\u53f0&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;position&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;yw&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;import_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9010\\u6761\\u5f55\\u5165&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;link_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[],</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;business_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u672a\\u5206\\u914d&quot;</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">},</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;agent_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;normal&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;not_install&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n                    <span class=\\\"p\\\">{</span>\\n                        <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxxxxxxxxxxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u672c\\u5730\\u670d\\u52a1\\u5668&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;host_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxxxxxxxxxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;ip_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u5916\\u7f51IP&quot;</span>\\n                    <span class=\\\"p\\\">}</span>\\n                <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_all_business/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e1a\\u52a1\\u4ee5\\u53ca\\u5b9e\\u4f8b</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20001</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u516c\\u6709\\u4e91\\u5730\\u533a\\u5217\\u8868\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;son&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">11</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;model_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;APPLICATION&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u5546\\u57ce\\u4e2d\\u53f0&quot;</span><span class=\\\"p\\\">,</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_ID&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;SHARE_SERVICE&quot;</span><span class=\\\"p\\\">,</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_STATUS&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u8fd0\\u884c\\u4e2d&quot;</span><span class=\\\"p\\\">,</span>\\n                    <span class=\\\"s2\\\">&quot;APPLICATION_IN_BUSINESS&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u7f51\\u4e0a\\u5546\\u57ce&quot;</span>\\n                <span class=\\\"p\\\">},</span>\\n                <span class=\\\"s2\\\">&quot;pk_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;APPLICATION_name&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;pk_value&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u7f51\\u4e0a\\u5546\\u57ce-&gt;\\u5546\\u57ce\\u4e2d\\u53f0&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;position&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;yw&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;import_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9010\\u6761\\u5f55\\u5165&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;link_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[],</span>\\n                <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;business_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u672a\\u5206\\u914d&quot;</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">},</span>\\n    <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;agent_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;normal&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;not_install&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;agent_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n                    <span class=\\\"p\\\">{</span>\\n                        <span class=\\\"s2\\\">&quot;ip&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxxxxxxxxxxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;agent_state&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Agent\\u672a\\u5b89\\u88c5&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;controller_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u672c\\u5730\\u670d\\u52a1\\u5668&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;system_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;Linux&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;parent_inst&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;host_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxxxxxxxxxxxxx&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;ip_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u5916\\u7f51IP&quot;</span>\\n                    <span class=\\\"p\\\">}</span>\\n                <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','5be6b85ccd38953f1a312cbe9ba1978e','2020-04-22 08:56:22','2020-04-22 08:56:22'),(10,'',10,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_net_work/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u7aef\\u53e3\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\nlocation ~ ^/doc/(.*) {\\n    proxy_pass http://OPEN_PAAS/static/doc/$1$is_args$args;\\n    proxy_pass_header Server;\\n    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;\\n    proxy_set_header X-Real-IP $remote_addr;\\n    proxy_set_header X-Scheme $scheme;\\n    proxy_set_header Host $http_host;\\n    proxy_redirect off;\\n    proxy_read_timeout 600;\\n\\n}\\n| ----- | ------ | ---- | -------- |\\n| name | string | \\u662f  | \\u4e3b\\u673a\\u540d \\n| ip | string | \\u662f  | ip |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_net_work/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u7aef\\u53e3\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\nlocation ~ ^/doc/(.*) {\\n    proxy_pass http://OPEN_PAAS/static/doc/$1$is_args$args;\\n    proxy_pass_header Server;\\n    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;\\n    proxy_set_header X-Real-IP $remote_addr;\\n    proxy_set_header X-Scheme $scheme;\\n    proxy_set_header Host $http_host;\\n    proxy_redirect off;\\n    proxy_read_timeout 600;\\n\\n}\\n| ----- | ------ | ---- | -------- |\\n| name | string | \\u662f  | \\u4e3b\\u673a\\u540d \\n| ip | string | \\u662f  | ip |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_net_work/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u7aef\\u53e3\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<p>| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\nlocation ~ ^/doc/(.*) {\\n    proxy_pass http://OPEN_PAAS/static/doc/$1$is_args$args;\\n    proxy_pass_header Server;\\n    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;\\n    proxy_set_header X-Real-IP $remote_addr;\\n    proxy_set_header X-Scheme $scheme;\\n    proxy_set_header Host $http_host;\\n    proxy_redirect off;\\n    proxy_read_timeout 600;</p>\\n<p>}\\n| ----- | ------ | ---- | -------- |\\n| name | string | \\u662f  | \\u4e3b\\u673a\\u540d \\n| ip | string | \\u662f  | ip |</p>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_net_work/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u7aef\\u53e3\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<p>| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\nlocation ~ ^/doc/(.*) {\\n    proxy_pass http://OPEN_PAAS/static/doc/$1$is_args$args;\\n    proxy_pass_header Server;\\n    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;\\n    proxy_set_header X-Real-IP $remote_addr;\\n    proxy_set_header X-Scheme $scheme;\\n    proxy_set_header Host $http_host;\\n    proxy_redirect off;\\n    proxy_read_timeout 600;</p>\\n<p>}\\n| ----- | ------ | ---- | -------- |\\n| name | string | \\u662f  | \\u4e3b\\u673a\\u540d \\n| ip | string | \\u662f  | ip |</p>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','92986470e48dbf1667781e2e7acf2500','2020-04-26 02:51:24','2020-04-26 04:09:46'),(11,'',11,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_control_agent_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0Agent\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_control_agent_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0Agent\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_control_agent_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0Agent\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_control_agent_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7ba1\\u63a7\\u5e73\\u53f0Agent\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','22e17342e3ec2ad808204ad2e072d930','2020-05-13 07:43:54','2020-05-13 07:43:54'),(12,'',12,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_file_stats/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_name | string | \\u662f  | \\u4e3b\\u673a\\u540d |\\n| file_name | string | \\u5426  | \\u6587\\u4ef6\\u540d |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_file_stats/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_name | string | \\u662f  | \\u4e3b\\u673a\\u540d |\\n| file_name | string | \\u5426  | \\u6587\\u4ef6\\u540d |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_file_stats/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_name</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673a\\u540d</td>\\n</tr>\\n<tr>\\n<td>file_name</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u6587\\u4ef6\\u540d</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_file_stats/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_name</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673a\\u540d</td>\\n</tr>\\n<tr>\\n<td>file_name</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u6587\\u4ef6\\u540d</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','2572c9248fc3233ef544d3018dfade7e','2020-05-23 10:01:58','2020-05-23 10:01:58'),(13,'',13,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_info_by_group/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u6309\\u7167\\u5206\\u7ec4\\u7684\\u5f62\\u5f0f\\u83b7\\u53d6Agent\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_info_by_group/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u6309\\u7167\\u5206\\u7ec4\\u7684\\u5f62\\u5f0f\\u83b7\\u53d6Agent\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_info_by_group/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u6309\\u7167\\u5206\\u7ec4\\u7684\\u5f62\\u5f0f\\u83b7\\u53d6Agent\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_info_by_group/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u6309\\u7167\\u5206\\u7ec4\\u7684\\u5f62\\u5f0f\\u83b7\\u53d6Agent\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','c38064752d9c64dfc7e77af343acc843','2020-05-23 11:44:31','2020-05-23 11:45:47'),(14,'',14,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_ps_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u8282\\u70b9\\u7684\\u8fdb\\u7a0b\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_agent_ps_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u8282\\u70b9\\u7684\\u8fdb\\u7a0b\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_ps_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u8282\\u70b9\\u7684\\u8fdb\\u7a0b\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_agent_ps_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u8282\\u70b9\\u7684\\u8fdb\\u7a0b\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','bd102fa2ffafae68d018a37ff891a8f5','2020-05-23 13:02:02','2020-05-23 13:02:02'),(15,'',15,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_all_zabbix_agent/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6ZabbixAgent\\u7684\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_all_zabbix_agent/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6ZabbixAgent\\u7684\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_all_zabbix_agent/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6ZabbixAgent\\u7684\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_all_zabbix_agent/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6ZabbixAgent\\u7684\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','12a93194da889ef2187e94509064ff0b','2020-05-26 07:43:08','2020-05-26 07:43:08'),(16,'',16,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_cmdb_data_by_model_code/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u6839\\u636e\\u6a21\\u578bcode\\u83b7\\u53d6CMDB\\u7684\\u6570\\u636e\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_cmdb_data_by_model_code/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u6839\\u636e\\u6a21\\u578bcode\\u83b7\\u53d6CMDB\\u7684\\u6570\\u636e\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_cmdb_data_by_model_code/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u6839\\u636e\\u6a21\\u578bcode\\u83b7\\u53d6CMDB\\u7684\\u6570\\u636e</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_cmdb_data_by_model_code/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u6839\\u636e\\u6a21\\u578bcode\\u83b7\\u53d6CMDB\\u7684\\u6570\\u636e</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','830a6bb210b1f13a9419f4e6ffd42092','2020-05-26 08:22:06','2020-05-26 08:22:06'),(17,'',17,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_inst_by_business_code/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u4e1a\\u52a1code\\u83b7\\u53d6\\u5176\\u6240\\u6709\\u7684\\u4e3b\\u673a\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| code1 | string | \\u5426  | \\u4e1a\\u52a1code |\\n| code2 | string | \\u5426  | \\u4e1a\\u52a1code |\\n\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20005,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        {\\n            code: xx,\\n            data: {\\n                xxx: xxx\\n            },\\n            model_code: xxx\\n        }\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_inst_by_business_code/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u4e1a\\u52a1code\\u83b7\\u53d6\\u5176\\u6240\\u6709\\u7684\\u4e3b\\u673a\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| code1 | string | \\u5426  | \\u4e1a\\u52a1code |\\n| code2 | string | \\u5426  | \\u4e1a\\u52a1code |\\n\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20005,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        {\\n            code: xx,\\n            data: {\\n                xxx: xxx\\n            },\\n            model_code: xxx\\n        }\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_inst_by_business_code/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u4e1a\\u52a1code\\u83b7\\u53d6\\u5176\\u6240\\u6709\\u7684\\u4e3b\\u673a\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>code1</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n<tr>\\n<td>code2</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20005,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        {\\n            code: xx,\\n            data: {\\n                xxx: xxx\\n            },\\n            model_code: xxx\\n        }\\n    ]\\n}\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_inst_by_business_code/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u4e1a\\u52a1code\\u83b7\\u53d6\\u5176\\u6240\\u6709\\u7684\\u4e3b\\u673a\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>code1</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n<tr>\\n<td>code2</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u4e1a\\u52a1code</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20005,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        {\\n            code: xx,\\n            data: {\\n                xxx: xxx\\n            },\\n            model_code: xxx\\n        }\\n    ]\\n}\\n</pre></div>\"}','5cf1d454b6a084e6a208dbab3ae10d31','2020-05-26 08:31:10','2020-05-26 10:32:02'),(18,'',18,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_all_host_info_for_panel/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20005,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n    \\t...\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_all_host_info_for_panel/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20005,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n    \\t...\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_all_host_info_for_panel/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20005</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_all_host_info_for_panel/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20005</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','acc2c1ac1043507f8c7531ca4136bedf','2020-05-30 10:03:46','2020-05-30 10:03:46'),(19,'',19,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_controller_for_panel/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_name | string | \\u662f  | \\u4e3b\\u673a\\u540d |\\n| ip | string | \\u662f  | IP |\\n| ip_type | string | \\u662f  | IP\\u7c7b\\u578b |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_controller_for_panel/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_name | string | \\u662f  | \\u4e3b\\u673a\\u540d |\\n| ip | string | \\u662f  | IP |\\n| ip_type | string | \\u662f  | IP\\u7c7b\\u578b |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_controller_for_panel/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_name</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673a\\u540d</td>\\n</tr>\\n<tr>\\n<td>ip</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP</td>\\n</tr>\\n<tr>\\n<td>ip_type</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP\\u7c7b\\u578b</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_controller_for_panel/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_name</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673a\\u540d</td>\\n</tr>\\n<tr>\\n<td>ip</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP</td>\\n</tr>\\n<tr>\\n<td>ip_type</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP\\u7c7b\\u578b</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','0cebd654da0e80c7b88f032aa0e2fafb','2020-06-01 12:06:50','2020-06-01 12:06:50'),(20,'',20,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_controller_for_panel/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_name | string | \\u662f  | \\u4e3b\\u673a\\u540d |\\n| ip | string | \\u662f  | IP |\\n| ip_type | string | \\u662f  | IP\\u7c7b\\u578b |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_controller_for_panel/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_name | string | \\u662f  | \\u4e3b\\u673a\\u540d |\\n| ip | string | \\u662f  | IP |\\n| ip_type | string | \\u662f  | IP\\u7c7b\\u578b |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_controller_for_panel/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_name</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673a\\u540d</td>\\n</tr>\\n<tr>\\n<td>ip</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP</td>\\n</tr>\\n<tr>\\n<td>ip_type</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP\\u7c7b\\u578b</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_controller_for_panel/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u901a\\u8fc7\\u63a7\\u5236\\u5668\\u7684name\\u83b7\\u53d6\\u63a7\\u5236\\u5668\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_name</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673a\\u540d</td>\\n</tr>\\n<tr>\\n<td>ip</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP</td>\\n</tr>\\n<tr>\\n<td>ip_type</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>IP\\u7c7b\\u578b</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','0cebd654da0e80c7b88f032aa0e2fafb','2020-07-10 09:23:42','2020-07-10 09:23:42'),(21,'',21,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_nav_and_collection/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u7528\\u6237\\u6536\\u85cf\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_nav_and_collection/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u7528\\u6237\\u6536\\u85cf\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_nav_and_collection/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u7528\\u6237\\u6536\\u85cf\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_nav_and_collection/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u7528\\u6237\\u6536\\u85cf\\u60c5\\u51b5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','7ae629e1a57e00df9f9912093dece5ec','2020-07-10 09:24:04','2020-07-14 02:15:33'),(22,'',23,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','adabc034f6543c13f83619395c7c096e','2020-07-14 02:09:48','2020-07-14 02:09:48'),(23,'',24,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/cmdb/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/cmdb/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','677d91653036b720c8580651d4b8f03c','2020-07-14 02:09:48','2020-07-14 02:09:48'),(24,'',22,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/task/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/task/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/task/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/task/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6Agent\\u7684\\u6587\\u4ef6\\u72b6\\u6001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','31ef5b252bb094645e97930cd0416908','2020-07-14 02:15:33','2020-07-14 02:35:28'),(25,'',25,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/post_collection/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u6536\\u85cf\\u5bfc\\u822a\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    #### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n    | \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n    | ----- | ------ | ---- | -------- |\\n    | nav_id | int | \\u662f  | \\u5bfc\\u822aid |\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n        \\\"bk_app_secret\\\": \\\"xxx\\\",\\n        \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n        \\\"nav_id\\\":  xx\\n    }\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20003,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n\\t\\t\\t...\\n        ]\\n    }\\n    ```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/post_collection/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u6536\\u85cf\\u5bfc\\u822a\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    #### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n    | \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n    | ----- | ------ | ---- | -------- |\\n    | nav_id | int | \\u662f  | \\u5bfc\\u822aid |\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n        \\\"bk_app_secret\\\": \\\"xxx\\\",\\n        \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n        \\\"nav_id\\\":  xx\\n    }\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20003,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n\\t\\t\\t...\\n        ]\\n    }\\n    ```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/post_collection/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u6536\\u85cf\\u5bfc\\u822a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| nav_id | int | \\u662f  | \\u5bfc\\u822aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;bk_app_code&quot;: &quot;esb-test-app&quot;,\\n    &quot;bk_app_secret&quot;: &quot;xxx&quot;,\\n    &quot;bk_token&quot;: &quot;xxx-xxx-xxx-xxx-xxx&quot;,\\n    &quot;nav_id&quot;:  xx\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20003,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        ...\\n    ]\\n}\\n```\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/post_collection/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u6536\\u85cf\\u5bfc\\u822a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| nav_id | int | \\u662f  | \\u5bfc\\u822aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;bk_app_code&quot;: &quot;esb-test-app&quot;,\\n    &quot;bk_app_secret&quot;: &quot;xxx&quot;,\\n    &quot;bk_token&quot;: &quot;xxx-xxx-xxx-xxx-xxx&quot;,\\n    &quot;nav_id&quot;:  xx\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20003,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        ...\\n    ]\\n}\\n```\\n</pre></div>\"}','3bad2f0bbe6037e383dcb36125089af2','2020-07-15 03:29:45','2020-07-15 03:29:45'),(26,'',26,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/post_info_to_user/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u53d1\\u9001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| temp_id | int | \\u662f  | \\u4fe1\\u606f\\u6a21\\u677fID |\\n| parameter | string | \\u662f  | \\u53c2\\u6570 |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"temp_id\\\":  xx,\\n    \\\"parameter\\\": \\\"(x, x, x, x)\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u4fe1\\u606f\\u53d1\\u9001\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/post_info_to_user/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u53d1\\u9001\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| temp_id | int | \\u662f  | \\u4fe1\\u606f\\u6a21\\u677fID |\\n| parameter | string | \\u662f  | \\u53c2\\u6570 |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"temp_id\\\":  xx,\\n    \\\"parameter\\\": \\\"(x, x, x, x)\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u4fe1\\u606f\\u53d1\\u9001\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/post_info_to_user/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u53d1\\u9001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>temp_id</td>\\n<td>int</td>\\n<td>\\u662f</td>\\n<td>\\u4fe1\\u606f\\u6a21\\u677fID</td>\\n</tr>\\n<tr>\\n<td>parameter</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u53c2\\u6570</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;temp_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"n\\\">xx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;parameter&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;(x, x, x, x)&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u4fe1\\u606f\\u53d1\\u9001\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/post_info_to_user/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u53d1\\u9001\\u4fe1\\u606f</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>temp_id</td>\\n<td>int</td>\\n<td>\\u662f</td>\\n<td>\\u4fe1\\u606f\\u6a21\\u677fID</td>\\n</tr>\\n<tr>\\n<td>parameter</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u53c2\\u6570</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;temp_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"n\\\">xx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;parameter&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;(x, x, x, x)&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u4fe1\\u606f\\u53d1\\u9001\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','19f094f0fdde39f6e9b1f161e96dd121','2020-07-23 08:08:13','2020-07-23 08:08:13'),(27,'',27,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_message_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u83b7\\u53d6\\u7528\\u6237\\u6536\\u53d6\\u7684\\u4fe1\\u606f\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    #### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n    | \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n    | ----- | ------ | ---- | -------- |\\n    | current | string | \\u5426  | \\u9875\\u6570 |\\n    | pageSize | string | \\u5426  | \\u6bcf\\u9875\\u6761\\u6570 |\\n\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20005,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n            {\\n\\t\\t\\t\\t...\\n            }\\n        ]\\n    }\\n    ```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_message_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u83b7\\u53d6\\u7528\\u6237\\u6536\\u53d6\\u7684\\u4fe1\\u606f\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    #### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n    | \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n    | ----- | ------ | ---- | -------- |\\n    | current | string | \\u5426  | \\u9875\\u6570 |\\n    | pageSize | string | \\u5426  | \\u6bcf\\u9875\\u6761\\u6570 |\\n\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20005,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n            {\\n\\t\\t\\t\\t...\\n            }\\n        ]\\n    }\\n    ```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_message_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u83b7\\u53d6\\u7528\\u6237\\u6536\\u53d6\\u7684\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| current | string | \\u5426  | \\u9875\\u6570 |\\n| pageSize | string | \\u5426  | \\u6bcf\\u9875\\u6761\\u6570 |\\n\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20005,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        {\\n            ...\\n        }\\n    ]\\n}\\n```\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_message_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u83b7\\u53d6\\u7528\\u6237\\u6536\\u53d6\\u7684\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| current | string | \\u5426  | \\u9875\\u6570 |\\n| pageSize | string | \\u5426  | \\u6bcf\\u9875\\u6761\\u6570 |\\n\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20005,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        {\\n            ...\\n        }\\n    ]\\n}\\n```\\n</pre></div>\"}','85601769855591b168e3c14f7d7dd244','2020-07-27 08:45:05','2020-07-27 08:45:05'),(28,'',28,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/get_department_user_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"\\u9519\\u8bef\\u4fe1\\u606f\\\",\\n    \\\"data\\\": {\\n        \\\"dep_name\\\":\\\"xxx\\\",\\n        \\\"id\\\":1, \\n        \\\"user_list\\\":[\\n            {\\n                \\\"username\\\":\\\"user1\\\",\\n                \\\"chname\\\":\\\"user1\\\",\\n                \\\"phone\\\":\\\"11111111111\\\",\\n                \\\"email\\\":\\\"user1@opsany.com\\\",\\n                \\\"description\\\":\\\"user1\\\",\\n                \\\"bk_role\\\":0\\n            },\\n        ],\\n        children:[\\n            {\\n                \\\"dep_name\\\":\\\"xxx\\\",\\n                \\\"id\\\": 2, \\n                \\\"user_list\\\":[\\n                    {\\n                        \\\"username\\\":\\\"user2\\\",\\n                        \\\"chname\\\":\\\"user2\\\",\\n                        \\\"phone\\\":\\\"11111111112\\\",\\n                        \\\"email\\\":\\\"user2@opsany.com\\\",\\n                        \\\"description\\\":\\\"user2\\\",\\n                        \\\"bk_role\\\":0\\n                    },\\n                ],\\n                children:[ ]\\n            }\\n        ]\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/get_department_user_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"\\u9519\\u8bef\\u4fe1\\u606f\\\",\\n    \\\"data\\\": {\\n        \\\"dep_name\\\":\\\"xxx\\\",\\n        \\\"id\\\":1, \\n        \\\"user_list\\\":[\\n            {\\n                \\\"username\\\":\\\"user1\\\",\\n                \\\"chname\\\":\\\"user1\\\",\\n                \\\"phone\\\":\\\"11111111111\\\",\\n                \\\"email\\\":\\\"user1@opsany.com\\\",\\n                \\\"description\\\":\\\"user1\\\",\\n                \\\"bk_role\\\":0\\n            },\\n        ],\\n        children:[\\n            {\\n                \\\"dep_name\\\":\\\"xxx\\\",\\n                \\\"id\\\": 2, \\n                \\\"user_list\\\":[\\n                    {\\n                        \\\"username\\\":\\\"user2\\\",\\n                        \\\"chname\\\":\\\"user2\\\",\\n                        \\\"phone\\\":\\\"11111111112\\\",\\n                        \\\"email\\\":\\\"user2@opsany.com\\\",\\n                        \\\"description\\\":\\\"user2\\\",\\n                        \\\"bk_role\\\":0\\n                    },\\n                ],\\n                children:[ ]\\n            }\\n        ]\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/get_department_user_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<h3 id=\\\"_6\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9519\\u8bef\\u4fe1\\u606f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span> \\n        <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111111&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n            <span class=\\\"p\\\">},</span>\\n        <span class=\\\"p\\\">],</span>\\n        <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">2</span><span class=\\\"p\\\">,</span> \\n                <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n                    <span class=\\\"p\\\">{</span>\\n                        <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111112&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n                    <span class=\\\"p\\\">},</span>\\n                <span class=\\\"p\\\">],</span>\\n                <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span> <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/get_department_user_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<h3 id=\\\"_6\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9519\\u8bef\\u4fe1\\u606f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span> \\n        <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111111&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n            <span class=\\\"p\\\">},</span>\\n        <span class=\\\"p\\\">],</span>\\n        <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">2</span><span class=\\\"p\\\">,</span> \\n                <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n                    <span class=\\\"p\\\">{</span>\\n                        <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111112&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n                    <span class=\\\"p\\\">},</span>\\n                <span class=\\\"p\\\">],</span>\\n                <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span> <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','85ea584f647abbb99be60414a63b9acc','2020-08-12 16:39:27','2020-08-12 16:39:27'),(29,'',29,'{\"zh-hans\": \"\n### u8bf7u6c42u5730u5740\n\n/api/c/compapi/rbac/post_menu_tree/\n\n\n\n### u8bf7u6c42u65b9u6cd5\n\nPOST\n\n\n### u529fu80fdu63cfu8ff0\n\nu83b7u53d6u8be5u7528u6237u5728u7279u5b9au5e73u53f0u7684u76eeu5f55u6811\n\n### u8bf7u6c42u53c2u6570\n\n#### u901au7528u53c2u6570\n\n| u5b57u6bb5 | u7c7bu578b | u5fc5u9009 |  u63cfu8ff0 |\n|-----------|------------|--------|------------|\n| bk_app_code  |  string    | u662f | u5e94u7528ID     |\n| bk_app_secret|  string    | u662f | u5b89u5168u5bc6u94a5(u5e94u7528 TOKEN)uff0cu53efu4ee5u901au8fc7 u84ddu9cb8u667au4e91u5f00u53d1u8005u4e2du5fc3 -&gt; u70b9u51fbu5e94u7528ID -&gt; u57fau672cu4fe1u606f u83b7u53d6 |\n| bk_token     |  string    | u5426 | u5f53u524du7528u6237u767bu5f55u6001uff0cbk_tokenu4e0ebk_usernameu5fc5u987bu4e00u4e2au6709u6548uff0cbk_tokenu53efu4ee5u901au8fc7Cookieu83b7u53d6 |\n| bk_username  |  string    | u5426 | u5f53u524du7528u6237u7528u6237u540duff0cu5e94u7528u514du767bu5f55u6001u9a8cu8bc1u767du540du5355u4e2du7684u5e94u7528uff0cu7528u6b64u5b57u6bb5u6307u5b9au5f53u524du7528u6237 |\n\n#### u63a5u53e3u53c2u6570\n\n| u5b57u6bb5           | u7c7bu578b   | u5fc5u9009 | u63cfu8ff0       |\n| -----          | ------ | ---- | --------   |\n| platform_cname | string |  u662f  | u5e73u53f0u522bu540d   |\n\n### u8bf7u6c42u53c2u6570u793au4f8b\n\n```python\n{\n    \"bk_app_code\": \"xxxx\",\n    \"bk_app_secret\": \"xxx\",\n    \"bk_token\": \"xxx-xxx-xxx-xxx-xxx\",\n    \"platform_cname\":  \"workbench\"\n}\n```\n\n### u8fd4u56deu7ed3u679cu793au4f8b\n\n```python\n{\n    \"status_code\": 0,\n    \"status_info\": \"string\",\n    \"data\": {\n        \"menu_name\": \"string\",\n        \"menu_code\": \"string\",\n        \"id\": 0,\n        \"priority\": \"string\",\n        \"menu_type\": \"platform\",\n        \"parent_id\": null,\n        \"menu_address\": \"string\",\n        \"children\": [\n            {\n                \"menu_name\": \"string\",\n                \"menu_code\": \"string\",\n                \"id\": 0,\n                \"priority\": \"string\",\n                \"menu_type\": \"directory\",\n                \"parent_id\": 1,\n                \"menu_address\": \"string\",\n                \"children\": [\n                    {}\n                ]\n            }\n        ]\n    }\n}\n```\", \"en\": \"\n### u8bf7u6c42u5730u5740\n\n/api/c/compapi/rbac/post_menu_tree/\n\n\n\n### u8bf7u6c42u65b9u6cd5\n\nPOST\n\n\n### u529fu80fdu63cfu8ff0\n\nu83b7u53d6u8be5u7528u6237u5728u7279u5b9au5e73u53f0u7684u76eeu5f55u6811\n\n### u8bf7u6c42u53c2u6570\n\n#### u901au7528u53c2u6570\n\n| u5b57u6bb5 | u7c7bu578b | u5fc5u9009 |  u63cfu8ff0 |\n|-----------|------------|--------|------------|\n| bk_app_code  |  string    | u662f | u5e94u7528ID     |\n| bk_app_secret|  string    | u662f | u5b89u5168u5bc6u94a5(u5e94u7528 TOKEN)uff0cu53efu4ee5u901au8fc7 u84ddu9cb8u667au4e91u5f00u53d1u8005u4e2du5fc3 -&gt; u70b9u51fbu5e94u7528ID -&gt; u57fau672cu4fe1u606f u83b7u53d6 |\n| bk_token     |  string    | u5426 | u5f53u524du7528u6237u767bu5f55u6001uff0cbk_tokenu4e0ebk_usernameu5fc5u987bu4e00u4e2au6709u6548uff0cbk_tokenu53efu4ee5u901au8fc7Cookieu83b7u53d6 |\n| bk_username  |  string    | u5426 | u5f53u524du7528u6237u7528u6237u540duff0cu5e94u7528u514du767bu5f55u6001u9a8cu8bc1u767du540du5355u4e2du7684u5e94u7528uff0cu7528u6b64u5b57u6bb5u6307u5b9au5f53u524du7528u6237 |\n\n#### u63a5u53e3u53c2u6570\n\n| u5b57u6bb5           | u7c7bu578b   | u5fc5u9009 | u63cfu8ff0       |\n| -----          | ------ | ---- | --------   |\n| platform_cname | string |  u662f  | u5e73u53f0u522bu540d   |\n\n### u8bf7u6c42u53c2u6570u793au4f8b\n\n```python\n{\n    \"bk_app_code\": \"xxxx\",\n    \"bk_app_secret\": \"xxx\",\n    \"bk_token\": \"xxx-xxx-xxx-xxx-xxx\",\n    \"platform_cname\":  \"workbench\"\n}\n```\n\n### u8fd4u56deu7ed3u679cu793au4f8b\n\n```python\n{\n    \"status_code\": 0,\n    \"status_info\": \"string\",\n    \"data\": {\n        \"menu_name\": \"string\",\n        \"menu_code\": \"string\",\n        \"id\": 0,\n        \"priority\": \"string\",\n        \"menu_type\": \"platform\",\n        \"parent_id\": null,\n        \"menu_address\": \"string\",\n        \"children\": [\n            {\n                \"menu_name\": \"string\",\n                \"menu_code\": \"string\",\n                \"id\": 0,\n                \"priority\": \"string\",\n                \"menu_type\": \"directory\",\n                \"parent_id\": 1,\n                \"menu_address\": \"string\",\n                \"children\": [\n                    {}\n                ]\n            }\n        ]\n    }\n}\n```\"}','{\"zh-hans\": \"<h3 id=\"_1\">u8bf7u6c42u5730u5740</h3>\n<p>/api/c/compapi/rbac/post_menu_tree/</p>\n<h3 id=\"_2\">u8bf7u6c42u65b9u6cd5</h3>\n<p>POST</p>\n<h3 id=\"_3\">u529fu80fdu63cfu8ff0</h3>\n<p>u83b7u53d6u8be5u7528u6237u5728u7279u5b9au5e73u53f0u7684u76eeu5f55u6811</p>\n<h3 id=\"_4\">u8bf7u6c42u53c2u6570</h3>\n<h4 id=\"_5\">u901au7528u53c2u6570</h4>\n<table>\n<thead>\n<tr>\n<th>u5b57u6bb5</th>\n<th>u7c7bu578b</th>\n<th>u5fc5u9009</th>\n<th>u63cfu8ff0</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>bk_app_code</td>\n<td>string</td>\n<td>u662f</td>\n<td>u5e94u7528ID</td>\n</tr>\n<tr>\n<td>bk_app_secret</td>\n<td>string</td>\n<td>u662f</td>\n<td>u5b89u5168u5bc6u94a5(u5e94u7528 TOKEN)uff0cu53efu4ee5u901au8fc7 u84ddu9cb8u667au4e91u5f00u53d1u8005u4e2du5fc3 -&gt; u70b9u51fbu5e94u7528ID -&gt; u57fau672cu4fe1u606f u83b7u53d6</td>\n</tr>\n<tr>\n<td>bk_token</td>\n<td>string</td>\n<td>u5426</td>\n<td>u5f53u524du7528u6237u767bu5f55u6001uff0cbk_tokenu4e0ebk_usernameu5fc5u987bu4e00u4e2au6709u6548uff0cbk_tokenu53efu4ee5u901au8fc7Cookieu83b7u53d6</td>\n</tr>\n<tr>\n<td>bk_username</td>\n<td>string</td>\n<td>u5426</td>\n<td>u5f53u524du7528u6237u7528u6237u540duff0cu5e94u7528u514du767bu5f55u6001u9a8cu8bc1u767du540du5355u4e2du7684u5e94u7528uff0cu7528u6b64u5b57u6bb5u6307u5b9au5f53u524du7528u6237</td>\n</tr>\n</tbody>\n</table>\n<h4 id=\"_6\">u63a5u53e3u53c2u6570</h4>\n<table>\n<thead>\n<tr>\n<th>u5b57u6bb5</th>\n<th>u7c7bu578b</th>\n<th>u5fc5u9009</th>\n<th>u63cfu8ff0</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>platform_cname</td>\n<td>string</td>\n<td>u662f</td>\n<td>u5e73u53f0u522bu540d</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"_7\">u8bf7u6c42u53c2u6570u793au4f8b</h3>\n<div class=\"codehilite\"><pre><span></span><span class=\"p\">{</span>\n    <span class=\"s2\">&quot;bk_app_code&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;xxxx&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;bk_app_secret&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;xxx&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;bk_token&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;platform_cname&quot;</span><span class=\"p\">:</span>  <span class=\"s2\">&quot;workbench&quot;</span>\n<span class=\"p\">}</span>\n</pre></div>\n\n\n<h3 id=\"_8\">u8fd4u56deu7ed3u679cu793au4f8b</h3>\n<div class=\"codehilite\"><pre><span></span><span class=\"p\">{</span>\n    <span class=\"s2\">&quot;status_code&quot;</span><span class=\"p\">:</span> <span class=\"mi\">0</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;status_info&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;data&quot;</span><span class=\"p\">:</span> <span class=\"p\">{</span>\n        <span class=\"s2\">&quot;menu_name&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;menu_code&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;id&quot;</span><span class=\"p\">:</span> <span class=\"mi\">0</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;priority&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;menu_type&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;platform&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;parent_id&quot;</span><span class=\"p\">:</span> <span class=\"n\">null</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;menu_address&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;children&quot;</span><span class=\"p\">:</span> <span class=\"p\">[</span>\n            <span class=\"p\">{</span>\n                <span class=\"s2\">&quot;menu_name&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;menu_code&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;id&quot;</span><span class=\"p\">:</span> <span class=\"mi\">0</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;priority&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;menu_type&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;directory&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;parent_id&quot;</span><span class=\"p\">:</span> <span class=\"mi\">1</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;menu_address&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;children&quot;</span><span class=\"p\">:</span> <span class=\"p\">[</span>\n                    <span class=\"p\">{}</span>\n                <span class=\"p\">]</span>\n            <span class=\"p\">}</span>\n        <span class=\"p\">]</span>\n    <span class=\"p\">}</span>\n<span class=\"p\">}</span>\n</pre></div>\", \"en\": \"<h3 id=\"_1\">u8bf7u6c42u5730u5740</h3>\n<p>/api/c/compapi/rbac/post_menu_tree/</p>\n<h3 id=\"_2\">u8bf7u6c42u65b9u6cd5</h3>\n<p>POST</p>\n<h3 id=\"_3\">u529fu80fdu63cfu8ff0</h3>\n<p>u83b7u53d6u8be5u7528u6237u5728u7279u5b9au5e73u53f0u7684u76eeu5f55u6811</p>\n<h3 id=\"_4\">u8bf7u6c42u53c2u6570</h3>\n<h4 id=\"_5\">u901au7528u53c2u6570</h4>\n<table>\n<thead>\n<tr>\n<th>u5b57u6bb5</th>\n<th>u7c7bu578b</th>\n<th>u5fc5u9009</th>\n<th>u63cfu8ff0</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>bk_app_code</td>\n<td>string</td>\n<td>u662f</td>\n<td>u5e94u7528ID</td>\n</tr>\n<tr>\n<td>bk_app_secret</td>\n<td>string</td>\n<td>u662f</td>\n<td>u5b89u5168u5bc6u94a5(u5e94u7528 TOKEN)uff0cu53efu4ee5u901au8fc7 u84ddu9cb8u667au4e91u5f00u53d1u8005u4e2du5fc3 -&gt; u70b9u51fbu5e94u7528ID -&gt; u57fau672cu4fe1u606f u83b7u53d6</td>\n</tr>\n<tr>\n<td>bk_token</td>\n<td>string</td>\n<td>u5426</td>\n<td>u5f53u524du7528u6237u767bu5f55u6001uff0cbk_tokenu4e0ebk_usernameu5fc5u987bu4e00u4e2au6709u6548uff0cbk_tokenu53efu4ee5u901au8fc7Cookieu83b7u53d6</td>\n</tr>\n<tr>\n<td>bk_username</td>\n<td>string</td>\n<td>u5426</td>\n<td>u5f53u524du7528u6237u7528u6237u540duff0cu5e94u7528u514du767bu5f55u6001u9a8cu8bc1u767du540du5355u4e2du7684u5e94u7528uff0cu7528u6b64u5b57u6bb5u6307u5b9au5f53u524du7528u6237</td>\n</tr>\n</tbody>\n</table>\n<h4 id=\"_6\">u63a5u53e3u53c2u6570</h4>\n<table>\n<thead>\n<tr>\n<th>u5b57u6bb5</th>\n<th>u7c7bu578b</th>\n<th>u5fc5u9009</th>\n<th>u63cfu8ff0</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>username</td>\n<td>string</td>\n<td>u662f</td>\n<td>u7528u6237u540d</td>\n</tr>\n<tr>\n<td>platform_cname</td>\n<td>string</td>\n<td>u662f</td>\n<td>u5e73u53f0u522bu540d</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"_7\">u8bf7u6c42u53c2u6570u793au4f8b</h3>\n<div class=\"codehilite\"><pre><span></span><span class=\"p\">{</span>\n    <span class=\"s2\">&quot;bk_app_code&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;xxxx&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;bk_app_secret&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;xxx&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;bk_token&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;platform_cname&quot;</span><span class=\"p\">:</span>  <span class=\"s2\">&quot;workbench&quot;</span>\n<span class=\"p\">}</span>\n</pre></div>\n\n\n<h3 id=\"_8\">u8fd4u56deu7ed3u679cu793au4f8b</h3>\n<div class=\"codehilite\"><pre><span></span><span class=\"p\">{</span>\n    <span class=\"s2\">&quot;status_code&quot;</span><span class=\"p\">:</span> <span class=\"mi\">0</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;status_info&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n    <span class=\"s2\">&quot;data&quot;</span><span class=\"p\">:</span> <span class=\"p\">{</span>\n        <span class=\"s2\">&quot;menu_name&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;menu_code&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;id&quot;</span><span class=\"p\">:</span> <span class=\"mi\">0</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;priority&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;menu_type&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;platform&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;parent_id&quot;</span><span class=\"p\">:</span> <span class=\"n\">null</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;menu_address&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n        <span class=\"s2\">&quot;children&quot;</span><span class=\"p\">:</span> <span class=\"p\">[</span>\n            <span class=\"p\">{</span>\n                <span class=\"s2\">&quot;menu_name&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;menu_code&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;id&quot;</span><span class=\"p\">:</span> <span class=\"mi\">0</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;priority&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;menu_type&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;directory&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;parent_id&quot;</span><span class=\"p\">:</span> <span class=\"mi\">1</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;menu_address&quot;</span><span class=\"p\">:</span> <span class=\"s2\">&quot;string&quot;</span><span class=\"p\">,</span>\n                <span class=\"s2\">&quot;children&quot;</span><span class=\"p\">:</span> <span class=\"p\">[</span>\n                    <span class=\"p\">{}</span>\n                <span class=\"p\">]</span>\n            <span class=\"p\">}</span>\n        <span class=\"p\">]</span>\n    <span class=\"p\">}</span>\n<span class=\"p\">}</span>\n</pre></div>\"}','99c065bd273a49badf7490263f4228df','2020-08-12 16:39:27','2020-08-14 08:01:43'),(30,'',30,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_privilege/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| username       | string |  \\u662f  | \\u7528\\u6237\\u540d     |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"data\\\": \\\"[C, U, R, D]\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_privilege/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| username       | string |  \\u662f  | \\u7528\\u6237\\u540d     |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"data\\\": \\\"[C, U, R, D]\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_privilege/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>username</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u7528\\u6237\\u540d</td>\\n</tr>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;[C, U, R, D]&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_privilege/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>username</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u7528\\u6237\\u540d</td>\\n</tr>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;[C, U, R, D]&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','e2120f871a86495c2672c96af32e039e','2020-08-12 16:39:27','2020-08-14 08:01:43'),(31,'',31,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_verification/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| username       | string |  \\u662f  | \\u7528\\u6237\\u540d     |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n| http_method    | string |  \\u662f  | \\u8bf7\\u6c42\\u65b9\\u6cd5   |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\",\\n    \\\"http_method\\\": \\\"GET\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"auth\\\": 0\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_verification/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| username       | string |  \\u662f  | \\u7528\\u6237\\u540d     |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n| http_method    | string |  \\u662f  | \\u8bf7\\u6c42\\u65b9\\u6cd5   |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\",\\n    \\\"http_method\\\": \\\"GET\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"auth\\\": 0\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_verification/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>username</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u7528\\u6237\\u540d</td>\\n</tr>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n<tr>\\n<td>http_method</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u8bf7\\u6c42\\u65b9\\u6cd5</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;http_method&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;GET&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;auth&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_verification/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>username</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u7528\\u6237\\u540d</td>\\n</tr>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n<tr>\\n<td>http_method</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u8bf7\\u6c42\\u65b9\\u6cd5</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;http_method&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;GET&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;auth&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','926b758e732d77fe323f204ee6c78f7f','2020-08-12 16:39:27','2020-08-14 08:01:43'),(32,'',32,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/get_dep_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"\\u9519\\u8bef\\u4fe1\\u606f\\\",\\n    \\\"data\\\": {\\n        \\\"dep_name\\\":\\\"xxx\\\",\\n        \\\"id\\\":1, \\n        \\\"user_list\\\":[\\n            {\\n                \\\"username\\\":\\\"user1\\\",\\n                \\\"chname\\\":\\\"user1\\\",\\n                \\\"phone\\\":\\\"11111111111\\\",\\n                \\\"email\\\":\\\"user1@opsany.com\\\",\\n                \\\"description\\\":\\\"user1\\\",\\n                \\\"bk_role\\\":0\\n            },\\n        ],\\n        children:[\\n            {\\n                \\\"dep_name\\\":\\\"xxx\\\",\\n                \\\"id\\\": 2, \\n                \\\"user_list\\\":[\\n                    {\\n                        \\\"username\\\":\\\"user2\\\",\\n                        \\\"chname\\\":\\\"user2\\\",\\n                        \\\"phone\\\":\\\"11111111112\\\",\\n                        \\\"email\\\":\\\"user2@opsany.com\\\",\\n                        \\\"description\\\":\\\"user2\\\",\\n                        \\\"bk_role\\\":0\\n                    },\\n                ],\\n                children:[ ]\\n            }\\n        ]\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/get_dep_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"\\u9519\\u8bef\\u4fe1\\u606f\\\",\\n    \\\"data\\\": {\\n        \\\"dep_name\\\":\\\"xxx\\\",\\n        \\\"id\\\":1, \\n        \\\"user_list\\\":[\\n            {\\n                \\\"username\\\":\\\"user1\\\",\\n                \\\"chname\\\":\\\"user1\\\",\\n                \\\"phone\\\":\\\"11111111111\\\",\\n                \\\"email\\\":\\\"user1@opsany.com\\\",\\n                \\\"description\\\":\\\"user1\\\",\\n                \\\"bk_role\\\":0\\n            },\\n        ],\\n        children:[\\n            {\\n                \\\"dep_name\\\":\\\"xxx\\\",\\n                \\\"id\\\": 2, \\n                \\\"user_list\\\":[\\n                    {\\n                        \\\"username\\\":\\\"user2\\\",\\n                        \\\"chname\\\":\\\"user2\\\",\\n                        \\\"phone\\\":\\\"11111111112\\\",\\n                        \\\"email\\\":\\\"user2@opsany.com\\\",\\n                        \\\"description\\\":\\\"user2\\\",\\n                        \\\"bk_role\\\":0\\n                    },\\n                ],\\n                children:[ ]\\n            }\\n        ]\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/get_dep_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<h3 id=\\\"_6\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9519\\u8bef\\u4fe1\\u606f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span> \\n        <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111111&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n            <span class=\\\"p\\\">},</span>\\n        <span class=\\\"p\\\">],</span>\\n        <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">2</span><span class=\\\"p\\\">,</span> \\n                <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n                    <span class=\\\"p\\\">{</span>\\n                        <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111112&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n                    <span class=\\\"p\\\">},</span>\\n                <span class=\\\"p\\\">],</span>\\n                <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span> <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/get_dep_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u90e8\\u95e8\\u4eba\\u5458\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<h3 id=\\\"_6\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<h3 id=\\\"_7\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u9519\\u8bef\\u4fe1\\u606f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span> \\n        <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111111&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user1&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n            <span class=\\\"p\\\">},</span>\\n        <span class=\\\"p\\\">],</span>\\n        <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;dep_name&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">2</span><span class=\\\"p\\\">,</span> \\n                <span class=\\\"s2\\\">&quot;user_list&quot;</span><span class=\\\"p\\\">:[</span>\\n                    <span class=\\\"p\\\">{</span>\\n                        <span class=\\\"s2\\\">&quot;username&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;chname&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;phone&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;11111111112&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;email&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2@opsany.com&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;description&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"s2\\\">&quot;user2&quot;</span><span class=\\\"p\\\">,</span>\\n                        <span class=\\\"s2\\\">&quot;bk_role&quot;</span><span class=\\\"p\\\">:</span><span class=\\\"mi\\\">0</span>\\n                    <span class=\\\"p\\\">},</span>\\n                <span class=\\\"p\\\">],</span>\\n                <span class=\\\"n\\\">children</span><span class=\\\"p\\\">:[</span> <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','afd0353821cd69783cd0619b098262cc','2020-08-13 03:57:28','2020-08-13 03:57:28'),(33,'',33,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u8be5\\u7528\\u6237\\u5728\\u7279\\u5b9a\\u5e73\\u53f0\\u7684\\u76ee\\u5f55\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"data\\\": {\\n        \\\"menu_name\\\": \\\"string\\\",\\n        \\\"menu_code\\\": \\\"string\\\",\\n        \\\"id\\\": 0,\\n        \\\"priority\\\": \\\"string\\\",\\n        \\\"menu_type\\\": \\\"platform\\\",\\n        \\\"parent_id\\\": null,\\n        \\\"menu_address\\\": \\\"string\\\",\\n        \\\"children\\\": [\\n            {\\n                \\\"menu_name\\\": \\\"string\\\",\\n                \\\"menu_code\\\": \\\"string\\\",\\n                \\\"id\\\": 0,\\n                \\\"priority\\\": \\\"string\\\",\\n                \\\"menu_type\\\": \\\"directory\\\",\\n                \\\"parent_id\\\": 1,\\n                \\\"menu_address\\\": \\\"string\\\",\\n                \\\"children\\\": [\\n                    {}\\n                ]\\n            }\\n        ]\\n    }\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_tree/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u8be5\\u7528\\u6237\\u5728\\u7279\\u5b9a\\u5e73\\u53f0\\u7684\\u76ee\\u5f55\\u6811\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"data\\\": {\\n        \\\"menu_name\\\": \\\"string\\\",\\n        \\\"menu_code\\\": \\\"string\\\",\\n        \\\"id\\\": 0,\\n        \\\"priority\\\": \\\"string\\\",\\n        \\\"menu_type\\\": \\\"platform\\\",\\n        \\\"parent_id\\\": null,\\n        \\\"menu_address\\\": \\\"string\\\",\\n        \\\"children\\\": [\\n            {\\n                \\\"menu_name\\\": \\\"string\\\",\\n                \\\"menu_code\\\": \\\"string\\\",\\n                \\\"id\\\": 0,\\n                \\\"priority\\\": \\\"string\\\",\\n                \\\"menu_type\\\": \\\"directory\\\",\\n                \\\"parent_id\\\": 1,\\n                \\\"menu_address\\\": \\\"string\\\",\\n                \\\"children\\\": [\\n                    {}\\n                ]\\n            }\\n        ]\\n    }\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u8be5\\u7528\\u6237\\u5728\\u7279\\u5b9a\\u5e73\\u53f0\\u7684\\u76ee\\u5f55\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;menu_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;priority&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;menu_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;platform&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;parent_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">null</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;menu_address&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;children&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;menu_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;priority&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;menu_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;directory&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;menu_address&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;children&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n                    <span class=\\\"p\\\">{}</span>\\n                <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_tree/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u8be5\\u7528\\u6237\\u5728\\u7279\\u5b9a\\u5e73\\u53f0\\u7684\\u76ee\\u5f55\\u6811</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">{</span>\\n        <span class=\\\"s2\\\">&quot;menu_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;priority&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;menu_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;platform&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;parent_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">null</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;menu_address&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n        <span class=\\\"s2\\\">&quot;children&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n            <span class=\\\"p\\\">{</span>\\n                <span class=\\\"s2\\\">&quot;menu_name&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;priority&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;menu_type&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;directory&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;parent_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">1</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;menu_address&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n                <span class=\\\"s2\\\">&quot;children&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n                    <span class=\\\"p\\\">{}</span>\\n                <span class=\\\"p\\\">]</span>\\n            <span class=\\\"p\\\">}</span>\\n        <span class=\\\"p\\\">]</span>\\n    <span class=\\\"p\\\">}</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','6752d97b4d741b4fcbf1065e1698d6c0','2020-08-14 08:19:55','2020-08-14 08:36:40'),(34,'',34,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_privilege/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"data\\\": \\\"[C, U, R, D]\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_privilege/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"data\\\": \\\"[C, U, R, D]\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_privilege/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;[C, U, R, D]&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_privilege/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u6743\\u9650\\u5217\\u8868</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;[C, U, R, D]&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','853fc62026f00970364d96e3ec7be59e','2020-08-14 08:19:55','2020-08-14 08:36:40'),(35,'',35,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_verification/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n| http_method    | string |  \\u662f  | \\u8bf7\\u6c42\\u65b9\\u6cd5   |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\",\\n    \\\"http_method\\\": \\\"GET\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"auth\\\": 0\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/rbac/post_menu_verification/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5           | \\u7c7b\\u578b   | \\u5fc5\\u9009 | \\u63cf\\u8ff0       |\\n| -----          | ------ | ---- | --------   |\\n| platform_cname | string |  \\u662f  | \\u5e73\\u53f0\\u522b\\u540d   |\\n| menu_code      | string |  \\u662f  | menu_code  |\\n| http_method    | string |  \\u662f  | \\u8bf7\\u6c42\\u65b9\\u6cd5   |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"xxxx\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"platform_cname\\\":  \\\"workbench\\\",\\n    \\\"menu_code\\\":  \\\"setting\\\",\\n    \\\"http_method\\\": \\\"GET\\\"\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"status_code\\\": 0,\\n    \\\"status_info\\\": \\\"string\\\",\\n    \\\"auth\\\": 0\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_verification/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n<tr>\\n<td>http_method</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u8bf7\\u6c42\\u65b9\\u6cd5</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;http_method&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;GET&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;auth&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/rbac/post_menu_verification/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u9a8c\\u8bc1\\u7528\\u6237\\u5bf9\\u83dc\\u5355\\u7684\\u64cd\\u4f5c\\u6743\\u9650</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>platform_cname</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e73\\u53f0\\u522b\\u540d</td>\\n</tr>\\n<tr>\\n<td>menu_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>menu_code</td>\\n</tr>\\n<tr>\\n<td>http_method</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u8bf7\\u6c42\\u65b9\\u6cd5</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;platform_cname&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;workbench&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;menu_code&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"s2\\\">&quot;setting&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;http_method&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;GET&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;status_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;status_info&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;string&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;auth&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">0</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','0c2adb4273cc3ca34b57a9a1f86e7f44','2020-08-14 08:19:55','2020-08-14 08:36:40'),(36,'',36,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_user_info_from_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u4ece\\u5de5\\u4f5c\\u53f0\\u83b7\\u53d6\\u7528\\u6237\\u7684\\u4fe1\\u606f\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20005,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n            {\\n\\t\\t\\t\\t...\\n            }\\n        ]\\n    }\\n    ```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_user_info_from_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u4ece\\u5de5\\u4f5c\\u53f0\\u83b7\\u53d6\\u7528\\u6237\\u7684\\u4fe1\\u606f\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20005,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n            {\\n\\t\\t\\t\\t...\\n            }\\n        ]\\n    }\\n    ```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_user_info_from_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u4ece\\u5de5\\u4f5c\\u53f0\\u83b7\\u53d6\\u7528\\u6237\\u7684\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20005,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        {\\n            ...\\n        }\\n    ]\\n}\\n```\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_user_info_from_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u4ece\\u5de5\\u4f5c\\u53f0\\u83b7\\u53d6\\u7528\\u6237\\u7684\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20005,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        {\\n            ...\\n        }\\n    ]\\n}\\n```\\n</pre></div>\"}','2babf61fd54565191ff5300a14e2e61e','2020-09-17 09:28:13','2020-09-17 09:28:13'),(37,'',37,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_read_all_message/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n        \\\"bk_app_secret\\\": \\\"xxx\\\",\\n        \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    }\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20001,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n        \\\"data\\\":  [\\n\\t    ]\\n    }\\n    ```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/workbench/get_read_all_message/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n        \\\"bk_app_secret\\\": \\\"xxx\\\",\\n        \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    }\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20001,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n        \\\"data\\\":  [\\n\\t    ]\\n    }\\n    ```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_read_all_message/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;bk_app_code&quot;: &quot;esb-test-app&quot;,\\n    &quot;bk_app_secret&quot;: &quot;xxx&quot;,\\n    &quot;bk_token&quot;: &quot;xxx-xxx-xxx-xxx-xxx&quot;,\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20001,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;,\\n    &quot;data&quot;:  [\\n    ]\\n}\\n```\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/workbench/get_read_all_message/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u66f4\\u65b0\\u8282\\u70b9\\u7684Agent\\u60c5\\u51b5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;bk_app_code&quot;: &quot;esb-test-app&quot;,\\n    &quot;bk_app_secret&quot;: &quot;xxx&quot;,\\n    &quot;bk_token&quot;: &quot;xxx-xxx-xxx-xxx-xxx&quot;,\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20001,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;,\\n    &quot;data&quot;:  [\\n    ]\\n}\\n```\\n</pre></div>\"}','617f17f88dbce137207de289df609d69','2020-09-30 01:54:09','2020-09-30 02:09:33'),(38,'',38,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_all_host_group/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\u7ec4\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_all_host_group/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\u7ec4\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_all_host_group/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\u7ec4</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_all_host_group/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u6240\\u6709\\u4e3b\\u673a\\u7ec4</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','36e4b8c92d673527a5211633c39526b1','2020-10-19 09:39:45','2020-10-19 09:39:45'),(39,'',39,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_host_info_for_monitor/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u4e3b\\u673a\\u7ec4\\u4e0b\\u7684\\u4e3b\\u673a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/get_host_info_for_monitor/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u4e3b\\u673a\\u7ec4\\u4e0b\\u7684\\u4e3b\\u673a\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_host_info_for_monitor/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u4e3b\\u673a\\u7ec4\\u4e0b\\u7684\\u4e3b\\u673a</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/get_host_info_for_monitor/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u4e3b\\u673a\\u7ec4\\u4e0b\\u7684\\u4e3b\\u673a</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','b7d247a411d00388519381eebc2cbba3','2020-10-19 09:55:16','2020-10-19 09:55:16'),(40,'',40,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/stop_or_start_monitor/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u505c\\u7528/\\u542f\\u7528\\u4e3b\\u673a\\u76d1\\u63a7\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u662f  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/stop_or_start_monitor/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u505c\\u7528/\\u542f\\u7528\\u4e3b\\u673a\\u76d1\\u63a7\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u662f  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/stop_or_start_monitor/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u505c\\u7528/\\u542f\\u7528\\u4e3b\\u673a\\u76d1\\u63a7</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/stop_or_start_monitor/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u505c\\u7528/\\u542f\\u7528\\u4e3b\\u673a\\u76d1\\u63a7</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','6d0467f4c22598e09eece17d1034978f','2020-10-20 03:37:02','2020-10-20 03:37:02'),(41,'',41,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/monitor_host_count/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u76d1\\u63a7\\u4e3b\\u673a\\u7edf\\u8ba1\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/monitor_host_count/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u76d1\\u63a7\\u4e3b\\u673a\\u7edf\\u8ba1\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/monitor_host_count/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u76d1\\u63a7\\u4e3b\\u673a\\u7edf\\u8ba1</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/monitor_host_count/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u76d1\\u63a7\\u4e3b\\u673a\\u7edf\\u8ba1</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','68fc45193d25025b1b3a528304da0926','2020-10-21 03:40:14','2020-10-21 03:40:14'),(42,'',42,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/host_monitor_type_count/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u76d1\\u63a7\\u7c7b\\u578b\\u7edf\\u8ba1\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/host_monitor_type_count/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u76d1\\u63a7\\u7c7b\\u578b\\u7edf\\u8ba1\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/host_monitor_type_count/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u76d1\\u63a7\\u7c7b\\u578b\\u7edf\\u8ba1</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/host_monitor_type_count/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u76d1\\u63a7\\u7c7b\\u578b\\u7edf\\u8ba1</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','ad9b745eb3f0f5818acd9606806e4ab4','2020-10-21 03:40:14','2020-10-21 03:40:14'),(43,'',44,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/host_problem_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u4e3b\\u673a\\u544a\\u8b66\\u8be6\\u60c5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/host_problem_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u4e3b\\u673a\\u544a\\u8b66\\u8be6\\u60c5\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/host_problem_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u4e3b\\u673a\\u544a\\u8b66\\u8be6\\u60c5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/host_problem_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u4e3b\\u673a\\u544a\\u8b66\\u8be6\\u60c5</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','00d71bc1b209a242949f8da301e3a8c0','2020-10-21 03:40:14','2020-10-21 03:40:14'),(44,'',46,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_host_group/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u5426  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_host_group/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u5426  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_host_group/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u5426</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_host_group/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u5426</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','b23f0ed84366a47ad6590477c3b0821b','2020-10-23 08:04:05','2020-10-23 08:04:05'),(45,'',47,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_host/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| group_id | int | \\u5426  | \\u4e3b\\u673a\\u7ec4id |\\n| search | string | \\u5426  | \\u5173\\u952e\\u8bcd |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_host/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| group_id | int | \\u5426  | \\u4e3b\\u673a\\u7ec4id |\\n| search | string | \\u5426  | \\u5173\\u952e\\u8bcd |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_host/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>group_id</td>\\n<td>int</td>\\n<td>\\u5426</td>\\n<td>\\u4e3b\\u673a\\u7ec4id</td>\\n</tr>\\n<tr>\\n<td>search</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5173\\u952e\\u8bcd</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_host/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u76d1\\u63a7\\u5e73\\u53f0\\u7b5b\\u9009\\u4e3b\\u673a\\u7ec4</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>group_id</td>\\n<td>int</td>\\n<td>\\u5426</td>\\n<td>\\u4e3b\\u673a\\u7ec4id</td>\\n</tr>\\n<tr>\\n<td>search</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5173\\u952e\\u8bcd</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','d2d6bd9a6f5159f99866a468e387b2e9','2020-10-23 08:04:05','2020-10-23 08:04:05'),(46,'',48,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_trigger/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u641c\\u7d22\\u89e6\\u53d1\\u5668\\u7684\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u5426  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_trigger/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u641c\\u7d22\\u89e6\\u53d1\\u5668\\u7684\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u5426  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_trigger/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u641c\\u7d22\\u89e6\\u53d1\\u5668\\u7684</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u5426</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_trigger/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u641c\\u7d22\\u89e6\\u53d1\\u5668\\u7684</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u5426</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','a71203d547eb7db608b460d2f7e74e23','2020-10-23 08:04:05','2020-10-23 08:04:05'),(47,'',45,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_application/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u641c\\u7d22\\u4e3b\\u673a\\u5e94\\u7528\\u96c6\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u662f  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/search_application/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u641c\\u7d22\\u4e3b\\u673a\\u5e94\\u7528\\u96c6\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| host_id | int | \\u662f  | \\u4e3b\\u673aid |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n    \\\"bk_app_secret\\\": \\\"xxx\\\",\\n    \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n    \\\"host_id\\\":  1\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20003,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f\\\",\\n    \\\"data\\\": [\\n        ...\\n    ]\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_application/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u641c\\u7d22\\u4e3b\\u673a\\u5e94\\u7528\\u96c6</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/search_application/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u641c\\u7d22\\u4e3b\\u673a\\u5e94\\u7528\\u96c6</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h4 id=\\\"_6\\\">\\u63a5\\u53e3\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>host_id</td>\\n<td>int</td>\\n<td>\\u662f</td>\\n<td>\\u4e3b\\u673aid</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_7\\\">\\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;esb-test-app&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_app_secret&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;bk_token&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;xxx-xxx-xxx-xxx-xxx&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;host_id&quot;</span><span class=\\\"p\\\">:</span>  <span class=\\\"mi\\\">1</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\\n\\n\\n<h3 id=\\\"_8\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20003</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u76f8\\u5173\\u4fe1\\u606f\\u66f4\\u65b0\\u6210\\u529f&quot;</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;data&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"p\\\">[</span>\\n        <span class=\\\"o\\\">...</span>\\n    <span class=\\\"p\\\">]</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','8d5b66bbe965cacde7f9d79223420774','2020-10-23 08:04:27','2020-10-23 08:04:27'),(48,'',49,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/monitor/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u9996\\u9875\\u6570\\u636e\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/monitor/get_info_for_workbench/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nGET\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u9996\\u9875\\u6570\\u636e\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n\\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    \\\"code\\\": 200,\\n    \\\"apicode\\\": 20012,\\n    \\\"result\\\": true,\\n    \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n    \\\"message\\\": \\\"\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f\\\"\\n}\\n```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/monitor/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u9996\\u9875\\u6570\\u636e</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/monitor/get_info_for_workbench/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>GET</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<p>\\u83b7\\u53d6\\u5de5\\u4f5c\\u53f0\\u9996\\u9875\\u6570\\u636e</p>\\n<h3 id=\\\"_4\\\">\\u8bf7\\u6c42\\u53c2\\u6570</h3>\\n<h4 id=\\\"_5\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<h3 id=\\\"_6\\\">\\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span><span class=\\\"p\\\">{</span>\\n    <span class=\\\"s2\\\">&quot;code&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">200</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;apicode&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"mi\\\">20012</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;result&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">true</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;request_id&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"n\\\">xxxxxxxxxxxxxxxxxxxxxxxx</span><span class=\\\"p\\\">,</span>\\n    <span class=\\\"s2\\\">&quot;message&quot;</span><span class=\\\"p\\\">:</span> <span class=\\\"s2\\\">&quot;\\u83b7\\u53d6\\u76f8\\u5173\\u4fe1\\u606f\\u6210\\u529f&quot;</span>\\n<span class=\\\"p\\\">}</span>\\n</pre></div>\"}','fdd5fa26e633ceb2953ab3405ad233a5','2020-10-23 09:11:08','2020-10-23 09:11:08'),(49,'',50,'{\"zh-hans\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/problem_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u67e5\\u8be2\\u76d1\\u63a7\\u95ee\\u9898\\u4fe1\\u606f\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    #### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n    | \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n    | ----- | ------ | ---- | -------- |\\n    | page | int | \\u5426  | \\u9875\\u7801 |\\n    | pageSize | int | \\u5426  | \\u6bcf\\u9875\\u6570\\u636e\\u91cf |\\n    | filter | object | \\u5426  | \\u7b5b\\u9009\\u5bf9\\u8c61 |\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n        \\\"bk_app_secret\\\": \\\"xxx\\\",\\n        \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n        \\\"page\\\": 1,\\n        \\\"pageSize\\\": 10,\\n\\t\\t\\\"filter\\\": {\\n\\t\\t\\t...\\n\\t\\t}\\n    }\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20003,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n            ...\\n        ]\\n    }\\n    ```\", \"en\": \"\\n### \\u8bf7\\u6c42\\u5730\\u5740\\n\\n/api/c/compapi/control/problem_info/\\n\\n\\n\\n### \\u8bf7\\u6c42\\u65b9\\u6cd5\\n\\nPOST\\n\\n\\n### \\u529f\\u80fd\\u63cf\\u8ff0\\n\\n    \\u67e5\\u8be2\\u76d1\\u63a7\\u95ee\\u9898\\u4fe1\\u606f\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\n    \\n#### \\u901a\\u7528\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5 | \\u7c7b\\u578b | \\u5fc5\\u9009 |  \\u63cf\\u8ff0 |\\n|-----------|------------|--------|------------|\\n| bk_app_code  |  string    | \\u662f | \\u5e94\\u7528ID     |\\n| bk_app_secret|  string    | \\u662f | \\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6 |\\n| bk_token     |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6 |\\n| bk_username  |  string    | \\u5426 | \\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237 |\\n\\n    #### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n    | \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n    | ----- | ------ | ---- | -------- |\\n    | page | int | \\u5426  | \\u9875\\u7801 |\\n    | pageSize | int | \\u5426  | \\u6bcf\\u9875\\u6570\\u636e\\u91cf |\\n    | filter | object | \\u5426  | \\u7b5b\\u9009\\u5bf9\\u8c61 |\\n\\n    ### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"bk_app_code\\\": \\\"esb-test-app\\\",\\n        \\\"bk_app_secret\\\": \\\"xxx\\\",\\n        \\\"bk_token\\\": \\\"xxx-xxx-xxx-xxx-xxx\\\",\\n        \\\"page\\\": 1,\\n        \\\"pageSize\\\": 10,\\n\\t\\t\\\"filter\\\": {\\n\\t\\t\\t...\\n\\t\\t}\\n    }\\n    ```\\n\\n    ### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n    ```python\\n    {\\n        \\\"code\\\": 200,\\n        \\\"apicode\\\": 20003,\\n        \\\"result\\\": true,\\n        \\\"request_id\\\": xxxxxxxxxxxxxxxxxxxxxxxx,\\n        \\\"message\\\": \\\"\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f\\\",\\n        \\\"data\\\": [\\n            ...\\n        ]\\n    }\\n    ```\"}','{\"zh-hans\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/problem_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u67e5\\u8be2\\u76d1\\u63a7\\u95ee\\u9898\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| page | int | \\u5426  | \\u9875\\u7801 |\\n| pageSize | int | \\u5426  | \\u6bcf\\u9875\\u6570\\u636e\\u91cf |\\n| filter | object | \\u5426  | \\u7b5b\\u9009\\u5bf9\\u8c61 |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;bk_app_code&quot;: &quot;esb-test-app&quot;,\\n    &quot;bk_app_secret&quot;: &quot;xxx&quot;,\\n    &quot;bk_token&quot;: &quot;xxx-xxx-xxx-xxx-xxx&quot;,\\n    &quot;page&quot;: 1,\\n    &quot;pageSize&quot;: 10,\\n    &quot;filter&quot;: {\\n        ...\\n    }\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20003,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        ...\\n    ]\\n}\\n```\\n</pre></div>\", \"en\": \"<h3 id=\\\"_1\\\">\\u8bf7\\u6c42\\u5730\\u5740</h3>\\n<p>/api/c/compapi/control/problem_info/</p>\\n<h3 id=\\\"_2\\\">\\u8bf7\\u6c42\\u65b9\\u6cd5</h3>\\n<p>POST</p>\\n<h3 id=\\\"_3\\\">\\u529f\\u80fd\\u63cf\\u8ff0</h3>\\n<div class=\\\"codehilite\\\"><pre><span></span>\\u67e5\\u8be2\\u76d1\\u63a7\\u95ee\\u9898\\u4fe1\\u606f\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\n</pre></div>\\n\\n\\n<h4 id=\\\"_4\\\">\\u901a\\u7528\\u53c2\\u6570</h4>\\n<table>\\n<thead>\\n<tr>\\n<th>\\u5b57\\u6bb5</th>\\n<th>\\u7c7b\\u578b</th>\\n<th>\\u5fc5\\u9009</th>\\n<th>\\u63cf\\u8ff0</th>\\n</tr>\\n</thead>\\n<tbody>\\n<tr>\\n<td>bk_app_code</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5e94\\u7528ID</td>\\n</tr>\\n<tr>\\n<td>bk_app_secret</td>\\n<td>string</td>\\n<td>\\u662f</td>\\n<td>\\u5b89\\u5168\\u5bc6\\u94a5(\\u5e94\\u7528 TOKEN)\\uff0c\\u53ef\\u4ee5\\u901a\\u8fc7 \\u84dd\\u9cb8\\u667a\\u4e91\\u5f00\\u53d1\\u8005\\u4e2d\\u5fc3 -&gt; \\u70b9\\u51fb\\u5e94\\u7528ID -&gt; \\u57fa\\u672c\\u4fe1\\u606f \\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_token</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u767b\\u5f55\\u6001\\uff0cbk_token\\u4e0ebk_username\\u5fc5\\u987b\\u4e00\\u4e2a\\u6709\\u6548\\uff0cbk_token\\u53ef\\u4ee5\\u901a\\u8fc7Cookie\\u83b7\\u53d6</td>\\n</tr>\\n<tr>\\n<td>bk_username</td>\\n<td>string</td>\\n<td>\\u5426</td>\\n<td>\\u5f53\\u524d\\u7528\\u6237\\u7528\\u6237\\u540d\\uff0c\\u5e94\\u7528\\u514d\\u767b\\u5f55\\u6001\\u9a8c\\u8bc1\\u767d\\u540d\\u5355\\u4e2d\\u7684\\u5e94\\u7528\\uff0c\\u7528\\u6b64\\u5b57\\u6bb5\\u6307\\u5b9a\\u5f53\\u524d\\u7528\\u6237</td>\\n</tr>\\n</tbody>\\n</table>\\n<div class=\\\"codehilite\\\"><pre><span></span>#### \\u63a5\\u53e3\\u53c2\\u6570\\n\\n| \\u5b57\\u6bb5    | \\u7c7b\\u578b     | \\u5fc5\\u9009   | \\u63cf\\u8ff0       |\\n| ----- | ------ | ---- | -------- |\\n| page | int | \\u5426  | \\u9875\\u7801 |\\n| pageSize | int | \\u5426  | \\u6bcf\\u9875\\u6570\\u636e\\u91cf |\\n| filter | object | \\u5426  | \\u7b5b\\u9009\\u5bf9\\u8c61 |\\n\\n### \\u8bf7\\u6c42\\u53c2\\u6570\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;bk_app_code&quot;: &quot;esb-test-app&quot;,\\n    &quot;bk_app_secret&quot;: &quot;xxx&quot;,\\n    &quot;bk_token&quot;: &quot;xxx-xxx-xxx-xxx-xxx&quot;,\\n    &quot;page&quot;: 1,\\n    &quot;pageSize&quot;: 10,\\n    &quot;filter&quot;: {\\n        ...\\n    }\\n}\\n```\\n\\n### \\u8fd4\\u56de\\u7ed3\\u679c\\u793a\\u4f8b\\n\\n```python\\n{\\n    &quot;code&quot;: 200,\\n    &quot;apicode&quot;: 20003,\\n    &quot;result&quot;: true,\\n    &quot;request_id&quot;: xxxxxxxxxxxxxxxxxxxxxxxx,\\n    &quot;message&quot;: &quot;\\u76f8\\u5173\\u4fe1\\u606f\\u83b7\\u53d6\\u6210\\u529f&quot;,\\n    &quot;data&quot;: [\\n        ...\\n    ]\\n}\\n```\\n</pre></div>\"}','4941a0fd35be8c05a8fc74a7b02d3ce8','2020-10-26 06:20:23','2020-10-26 06:20:23');
/*!40000 ALTER TABLE `esb_api_doc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_api_doc_feedback`
--

DROP TABLE IF EXISTS `esb_api_doc_feedback`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_api_doc_feedback` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `board` varchar(64) DEFAULT NULL,
  `operator` varchar(32) NOT NULL,
  `component_id` int(11) NOT NULL,
  `content` longtext,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `esb_api_doc_feedback_1145f263` (`board`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_api_doc_feedback`
--

LOCK TABLES `esb_api_doc_feedback` WRITE;
/*!40000 ALTER TABLE `esb_api_doc_feedback` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_api_doc_feedback` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_app_account`
--

DROP TABLE IF EXISTS `esb_app_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_app_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(30) NOT NULL,
  `app_token` varchar(128) NOT NULL,
  `introduction` longtext NOT NULL,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `app_code` (`app_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_app_account`
--

LOCK TABLES `esb_app_account` WRITE;
/*!40000 ALTER TABLE `esb_app_account` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_app_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_app_component_perm`
--

DROP TABLE IF EXISTS `esb_app_component_perm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_app_component_perm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(64) NOT NULL,
  `component_id` int(11) NOT NULL,
  `expires` datetime NOT NULL,
  `created_time` datetime NOT NULL,
  `last_accessed_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `esb_app_component_perm_app_code_2eae5397b61d8c19_uniq` (`app_code`,`component_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_app_component_perm`
--

LOCK TABLES `esb_app_component_perm` WRITE;
/*!40000 ALTER TABLE `esb_app_component_perm` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_app_component_perm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_buffet_component`
--

DROP TABLE IF EXISTS `esb_buffet_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_buffet_component` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `dest_url` varchar(2048) NOT NULL,
  `dest_http_method` varchar(8) NOT NULL,
  `favor_post_ctype` varchar(64) NOT NULL,
  `extra_headers` varchar(2048) NOT NULL,
  `extra_params` varchar(2048) NOT NULL,
  `registed_path` varchar(255) NOT NULL,
  `registed_http_method` varchar(8) NOT NULL,
  `submitter` varchar(256) DEFAULT NULL,
  `approver` varchar(256) DEFAULT NULL,
  `approver_message` varchar(1024) DEFAULT NULL,
  `status` int(11) NOT NULL,
  `mappings_input` varchar(1024) DEFAULT NULL,
  `mappings_output` varchar(1024) DEFAULT NULL,
  `last_modified_time` datetime NOT NULL,
  `created_time` datetime NOT NULL,
  `system_id` int(11) DEFAULT NULL,
  `timeout_time` int(11),
  `type` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `esb_buffet_system_id_5efc5696b2b8f24a_fk_esb_component_system_id` (`system_id`),
  CONSTRAINT `esb_buffet_system_id_5efc5696b2b8f24a_fk_esb_component_system_id` FOREIGN KEY (`system_id`) REFERENCES `esb_component_system` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_buffet_component`
--

LOCK TABLES `esb_buffet_component` WRITE;
/*!40000 ALTER TABLE `esb_buffet_component` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_buffet_component` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_buffet_component_mapping`
--

DROP TABLE IF EXISTS `esb_buffet_component_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_buffet_component_mapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(40) NOT NULL,
  `type` int(11) DEFAULT NULL,
  `source_type` int(11) NOT NULL,
  `source` longtext,
  `owner` varchar(256) DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL,
  `last_modified_time` datetime NOT NULL,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_buffet_component_mapping`
--

LOCK TABLES `esb_buffet_component_mapping` WRITE;
/*!40000 ALTER TABLE `esb_buffet_component_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_buffet_component_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_channel`
--

DROP TABLE IF EXISTS `esb_channel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_channel` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `path` varchar(255) NOT NULL,
  `method` varchar(32) DEFAULT NULL,
  `component_codename` varchar(255) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `last_modified_time` datetime NOT NULL,
  `created_time` datetime NOT NULL,
  `component_system_id` int(11) DEFAULT NULL,
  `timeout_time` int(11) DEFAULT NULL,
  `type` int(11) NOT NULL,
  `comp_conf` longtext,
  `component_name` varchar(64) DEFAULT NULL,
  `is_hidden` tinyint(1) NOT NULL,
  `perm_level` int(11) NOT NULL,
  `rate_limit_conf` longtext,
  `rate_limit_required` tinyint(1) NOT NULL,
  `extra_info` longtext NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `path` (`path`) USING BTREE,
  KEY `component_system_id_75db1515b99d21dc_fk_esb_component_system_id` (`component_system_id`) USING BTREE,
  CONSTRAINT `component_system_id_75db1515b99d21dc_fk_esb_component_system_id` FOREIGN KEY (`component_system_id`) REFERENCES `esb_component_system` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_channel`
--

LOCK TABLES `esb_channel` WRITE;
/*!40000 ALTER TABLE `esb_channel` DISABLE KEYS */;
INSERT INTO `esb_channel` VALUES (1,'获取管控平台手动添加的Agent信息','/control/get_manual_add_agent/','','generic.control.get_manual_add_agent',1,'2020-04-22 15:36:51','2020-04-22 15:36:51',8,NULL,2,'','get_manual_add_agent',0,0,'',0,''),(2,'通过控制器的name获取控制器信息','/control/get_controller/','','generic.control.get_controller',1,'2020-04-22 15:37:28','2020-04-22 15:37:28',8,NULL,2,'','get_controller',0,0,'',0,''),(3,'获取所有主机','/cmdb/get_all_host/','','generic.cmdb.get_all_host',1,'2020-04-22 15:54:14','2020-04-22 15:54:14',7,NULL,2,'','get_all_host',0,0,'',0,''),(4,'导入实例信息','/cmdb/import_inst/','','generic.cmdb.import_inst',1,'2020-04-22 15:55:21','2020-04-22 15:55:21',7,NULL,1,'','import_inst',0,0,'',0,''),(5,'更新节点的Agent情况','/cmdb/update_agent_state/','','generic.cmdb.update_agent_state',1,'2020-04-22 15:56:24','2020-04-22 15:56:24',7,NULL,1,'','update_agent_state',0,0,'',0,''),(6,'从管控平台导入Grains信息','/cmdb/import_grains_from_control/','','generic.cmdb.import_grains_from_control',1,'2020-04-22 15:57:28','2020-04-22 15:57:28',7,NULL,1,'','import_grains_from_control',0,0,'',0,''),(7,'获取实例树','/cmdb/get_inst_tree/','','generic.cmdb.get_inst_tree',1,'2020-04-22 16:23:16','2020-04-22 16:00:26',7,NULL,2,'','get_inst_tree',0,0,'',0,''),(8,'根据业务code查询节点情况','/cmdb/get_agent_by_business_code/','','generic.cmdb.get_agent_by_business_code',1,'2020-04-22 16:24:01','2020-04-22 16:24:01',7,NULL,2,'','get_agent_by_business_code',0,0,'',0,''),(9,'获取所有业务以及实例','/cmdb/get_all_business/','','generic.cmdb.get_all_business',1,'2020-09-09 15:25:01','2020-04-22 16:44:06',7,NULL,2,'','get_all_business',0,0,'',0,''),(10,'查询节点端口情况','/control/get_agent_net_work/','','generic.control.get_agent_net_work',1,'2020-04-26 10:49:59','2020-04-26 10:49:59',8,NULL,2,'','get_agent_net_work',0,0,'',0,''),(11,'获取管控平台的节点信息','/control/get_control_agent_info/','','generic.control.get_control_agent_info',1,'2020-05-13 15:43:49','2020-05-13 15:43:49',8,NULL,2,'','get_control_agent_info',0,0,'',0,''),(12,'查询Agent文件状态','/control/get_agent_file_stats/','','generic.control.get_agent_file_stats',1,'2020-05-23 18:01:52','2020-05-23 18:01:52',8,NULL,2,'','get_agent_file_stats',0,0,'',0,''),(13,'根据分组获取Agent信息','/control/get_agent_info_by_group/','','generic.control.get_agent_info_by_group',1,'2020-05-23 19:43:40','2020-05-23 19:43:40',8,NULL,2,'','get_agent_info_by_group',0,0,'',0,''),(14,'获取节点的进程信息','/control/get_agent_ps_info/','','generic.control.get_agent_ps_info',1,'2020-05-23 21:01:27','2020-05-23 21:01:09',8,NULL,2,'','get_agent_ps_info',0,0,'',0,''),(15,'获取ZabbixAgent信息','/control/get_all_zabbix_agent/','','generic.control.get_all_zabbix_agent',1,'2020-05-26 15:41:55','2020-05-26 15:41:55',8,NULL,2,'','get_all_zabbix_agent',0,0,'',0,''),(16,'根据模型CODE获取CMDB的数据','/cmdb/get_cmdb_data_by_model_code/','','generic.cmdb.get_cmdb_data_by_model_code',1,'2020-05-26 16:20:47','2020-05-26 16:20:47',7,NULL,2,'','get_cmdb_data_by_model_code',0,0,'',0,''),(17,'根据业务CODE获取实例信息','/cmdb/get_inst_by_business_code/','','generic.cmdb.get_inst_by_business_code',1,'2020-05-26 16:30:40','2020-05-26 16:30:40',7,NULL,2,'','get_inst_by_business_code',0,0,'',0,''),(18,'查询CMDB所有的主机','/cmdb/get_all_host_info_for_panel/','','generic.cmdb.get_all_host_info_for_panel',1,'2020-05-30 18:03:24','2020-05-30 18:03:24',7,NULL,2,'','get_all_host_info_for_panel',0,0,'',0,''),(20,'根据主机信息获取Master信息','/control/get_controller_for_panel/','','generic.control.get_controller_for_panel',1,'2020-06-01 23:35:54','2020-06-01 23:35:54',8,NULL,2,'','get_controller_for_panel',0,0,'',0,''),(21,'获取导航栏信息','/workbench/get_nav_and_collection/','','generic.workbench.get_nav_and_collection',1,'2020-07-14 10:15:05','2020-07-10 17:21:14',9,NULL,2,'','get_nav_and_collection',0,0,'',0,''),(22,'获取作业平台基础聚合信息','/task/get_info_for_workbench/','','generic.task.get_info_for_workbench',1,'2020-07-14 10:35:22','2020-07-14 10:06:32',10,NULL,2,'','get_info_for_workbench',0,0,'',0,''),(23,'获取管控平台基础聚合信息','/control/get_info_for_workbench/','','generic.control.get_info_for_workbench',1,'2020-07-14 10:07:04','2020-07-14 10:07:04',8,NULL,2,'','get_info_for_workbench',0,0,'',0,''),(24,'获取资源平台基础聚合信息','/cmdb/get_info_for_workbench/','','generic.cmdb.get_info_for_workbench',1,'2020-07-14 10:07:31','2020-07-14 10:07:31',7,NULL,2,'','get_info_for_workbench',0,0,'',0,''),(25,'收藏导航','/workbench/post_collection/','','generic.workbench.post_collection',1,'2020-07-15 11:29:37','2020-07-15 11:29:27',9,NULL,1,'','post_collection',0,0,'',0,''),(26,'发送信息','/workbench/post_info_to_user/','','generic.workbench.post_info_to_user',1,'2020-07-23 16:08:47','2020-07-23 16:07:36',9,NULL,1,'','post_info_to_user',0,0,'',0,''),(27,'获取用户收取的站内信息','/workbench/get_message_info/','','generic.workbench.get_message_info',1,'2020-07-27 16:44:23','2020-07-27 16:44:23',9,NULL,2,'','get_message_info',0,0,'',0,''),(28,'获取部门及员工树','/rbac/get_department_user_tree/','','generic.rbac.get_department_user_tree',1,'2020-08-13 00:25:42','2020-08-13 00:25:42',11,NULL,2,'','get_department_user_tree',0,0,'',0,''),(33,'获取用户在特定平台的目录树','/rbac/post_menu_tree/','','generic.rbac.post_menu_tree',1,'2020-08-14 16:16:54','2020-08-14 16:16:54',11,NULL,1,'','post_menu_tree',0,0,'',0,''),(34,'获取用户的菜单权限列表','/rbac/post_menu_privilege/','','generic.rbac.post_menu_privilege',1,'2020-08-14 16:18:09','2020-08-14 16:18:09',11,NULL,1,'','post_menu_privilege',0,0,'',0,''),(35,'验证用户对菜单的操作权限','/rbac/post_menu_verification/','','generic.rbac.post_menu_verification',1,'2020-08-14 16:19:10','2020-08-14 16:19:10',11,NULL,1,'','post_menu_verification',0,0,'',0,''),(36,'从工作台获取用户信息','/workbench/get_user_info_from_workbench/','','generic.workbench.get_user_info_from_workbench',1,'2020-09-17 17:27:56','2020-09-17 17:27:56',9,NULL,2,'','get_user_info_from_workbench',0,0,'',0,''),(37,'全部已读','/workbench/get_read_all_message/','','generic.workbench.get_read_all_message',1,'2020-09-30 10:09:09','2020-09-30 09:54:05',9,NULL,2,'','get_read_all_message',0,0,'',0,''),(38,'获取管控平台所有主机组','/control/get_all_host_group/','','generic.control.get_all_host_group',1,'2020-10-19 17:39:10','2020-10-19 17:39:10',8,NULL,2,'','get_all_host_group',0,0,'',0,''),(39,'获取分组下的节点','/control/get_host_info_for_monitor/','','generic.control.get_host_info_for_monitor',1,'2020-10-19 17:55:00','2020-10-19 17:55:00',8,NULL,1,'','get_host_info_for_monitor',0,0,'',0,''),(40,'停/启用主机监控','/control/stop_or_start_monitor/','','generic.control.stop_or_start_monitor',1,'2020-10-20 11:34:25','2020-10-20 11:34:16',8,NULL,1,'','stop_or_start_monitor',0,0,'',0,''),(41,'获取监控主机统计','/control/monitor_host_count/','','generic.control.monitor_host_count',1,'2020-10-21 11:35:31','2020-10-21 11:35:31',8,NULL,2,'','monitor_host_count',0,0,'',0,''),(42,'获取监控类型统计','/control/host_monitor_type_count/','','generic.control.host_monitor_type_count',1,'2020-10-21 11:35:49','2020-10-21 11:35:49',8,NULL,2,'','host_monitor_type_count',0,0,'',0,''),(43,'获取事件信息统计','/control/event_type_count/','','generic.control.event_type_count',1,'2020-10-21 11:47:34','2020-10-21 11:36:08',8,NULL,2,'','event_type_count',0,0,'',0,''),(44,'获取主机告警详情','/control/host_problem_info/','','generic.control.host_problem_info',1,'2020-10-21 11:36:27','2020-10-21 11:36:27',8,NULL,2,'','host_problem_info',0,0,'',0,''),(45,'搜索应用集','/control/search_application/','','generic.control.search_application',1,'2020-10-23 15:57:39','2020-10-23 15:57:39',8,NULL,2,'','search_application',0,0,'',0,''),(46,'搜索管控平台主机组','/control/search_host_group/','','generic.control.search_host_group',1,'2020-10-23 15:58:09','2020-10-23 15:58:09',8,NULL,2,'','search_host_group',0,0,'',0,''),(47,'管控平台主机','/control/search_host/','','generic.control.search_host',1,'2020-10-23 15:58:49','2020-10-23 15:58:49',8,NULL,2,'','search_host',0,0,'',0,''),(48,'搜索触发器','/control/search_trigger/','','generic.control.search_trigger',1,'2020-10-23 15:59:28','2020-10-23 15:59:28',8,NULL,2,'','search_trigger',0,0,'',0,''),(49,'获取监控平台基础聚合信息','/monitor/get_info_for_workbench/','','generic.monitor.get_info_for_workbench',1,'2020-10-23 17:04:07','2020-10-23 17:04:07',12,NULL,2,'','get_info_for_workbench',0,0,'',0,''),(50,'查询监控问题信息','/control/problem_info/','','generic.control.problem_info',1,'2020-10-26 14:19:26','2020-10-26 14:19:26',8,NULL,2,'','problem_info',0,0,'',0,'');
/*!40000 ALTER TABLE `esb_channel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_component_system`
--

DROP TABLE IF EXISTS `esb_component_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_component_system` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `label` varchar(128) NOT NULL,
  `component_admin` varchar(128) NOT NULL,
  `interface_admin` varchar(128) NOT NULL,
  `system_link` varchar(1024) NOT NULL,
  `belong_to` varchar(128) NOT NULL,
  `remark` longtext NOT NULL,
  `execute_timeout` int(11) DEFAULT NULL,
  `query_timeout` int(11) DEFAULT NULL,
  `doc_category_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_component_system`
--

LOCK TABLES `esb_component_system` WRITE;
/*!40000 ALTER TABLE `esb_component_system` DISABLE KEYS */;
INSERT INTO `esb_component_system` VALUES (1,'BK_LOGIN','统一登录','','','','','',NULL,NULL,NULL),(2,'CC','配置平台','','','','','',NULL,NULL,NULL),(3,'GSE','管控平台','','','','','',NULL,NULL,NULL),(4,'JOB','作业平台','','','','','',NULL,NULL,NULL),(5,'CMSI','消息管理','','','','','',NULL,NULL,NULL),(6,'SOPS','标准运维','','','','','',NULL,NULL,NULL),(7,'CMDB','OpsAny资源平台','','admin','','','',NULL,NULL,3),(8,'CONTROL','OpsAny管控平台','','admin','','','',NULL,NULL,3),(9,'WORKBENCH','OpsAny工作台','','admin','','','',30,30,3),(10,'TASK','OpsAny作业平台','','','','','',NULL,NULL,3),(11,'rbac','OpsAny统一权限','','admin','','','',NULL,NULL,3),(12,'MONITOR','监控平台','','admin','','','',30,30,3);
/*!40000 ALTER TABLE `esb_component_system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_function_controller`
--

DROP TABLE IF EXISTS `esb_function_controller`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_function_controller` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `func_code` varchar(64) NOT NULL,
  `func_name` varchar(64) NOT NULL,
  `switch_status` tinyint(1) NOT NULL,
  `wlist` longtext,
  `func_desc` longtext,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `func_code` (`func_code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_function_controller`
--

LOCK TABLES `esb_function_controller` WRITE;
/*!40000 ALTER TABLE `esb_function_controller` DISABLE KEYS */;
INSERT INTO `esb_function_controller` VALUES (1,'user_auth::skip_user_auth','是否跳过用户身份验证',1,'bk_paas_log_alert,login,esb,paas,proxy,websocket,zabbix,rbac,cmdb,workbench,control,job,bastion,cmp,dashboard,monitor,devops,pipeline,deploy,repo,k8s,kbase,prom,log,event,auto,apm','','2020-11-06 08:42:55');
/*!40000 ALTER TABLE `esb_function_controller` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_system_doc_category`
--

DROP TABLE IF EXISTS `esb_system_doc_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_system_doc_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `priority` int(11) NOT NULL,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `esb_system_doc_category_b068931c` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_system_doc_category`
--

LOCK TABLES `esb_system_doc_category` WRITE;
/*!40000 ALTER TABLE `esb_system_doc_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_system_doc_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_user_auth_token`
--

DROP TABLE IF EXISTS `esb_user_auth_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_user_auth_token` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(128) NOT NULL,
  `username` varchar(64) NOT NULL,
  `auth_token` varchar(255) NOT NULL,
  `expires` datetime NOT NULL,
  `last_accessed_time` datetime NOT NULL,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_user_auth_token`
--

LOCK TABLES `esb_user_auth_token` WRITE;
/*!40000 ALTER TABLE `esb_user_auth_token` DISABLE KEYS */;
INSERT INTO `esb_user_auth_token` VALUES (1,'workbench','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(2,'rbac','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(3,'cmdb','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(4,'job','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(5,'control','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(6,'monitor','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(7,'cmp','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(8,'devops','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24'),(9,'event','admin','opsany-esb-auth-token-9e8083137204','2031-01-01 10:27:18','2020-12-08 10:20:22','2020-12-08 10:20:24');
/*!40000 ALTER TABLE `esb_user_auth_token` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `esb_wxmp_access_token`
--

DROP TABLE IF EXISTS `esb_wxmp_access_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `esb_wxmp_access_token` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wx_app_id` varchar(128) NOT NULL,
  `access_token` varchar(1024) NOT NULL,
  `expires` datetime NOT NULL,
  `last_updated_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `esb_wxmp_access_token`
--

LOCK TABLES `esb_wxmp_access_token` WRITE;
/*!40000 ALTER TABLE `esb_wxmp_access_token` DISABLE KEYS */;
/*!40000 ALTER TABLE `esb_wxmp_access_token` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_bklog`
--

DROP TABLE IF EXISTS `login_bklog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_bklog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login_time` datetime NOT NULL,
  `login_browser` varchar(200) DEFAULT NULL,
  `login_ip` varchar(50) DEFAULT NULL,
  `login_host` varchar(100) DEFAULT NULL,
  `app_id` varchar(30) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `login_bklog_user_id_44e2a9485d3af7e9_fk_bkaccount_bkuser_id` (`user_id`),
  CONSTRAINT `login_bklog_user_id_44e2a9485d3af7e9_fk_bkaccount_bkuser_id` FOREIGN KEY (`user_id`) REFERENCES `bkaccount_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_bklog`
--

LOCK TABLES `login_bklog` WRITE;
/*!40000 ALTER TABLE `login_bklog` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_bklog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_bkrole`
--

DROP TABLE IF EXISTS `login_bkrole`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_bkrole` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_bkrole`
--

LOCK TABLES `login_bkrole` WRITE;
/*!40000 ALTER TABLE `login_bkrole` DISABLE KEYS */;
INSERT INTO `login_bkrole` VALUES (1,0),(2,1),(3,2),(4,3),(5,4);
/*!40000 ALTER TABLE `login_bkrole` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_bktoken`
--

DROP TABLE IF EXISTS `login_bktoken`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_bktoken` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `token` varchar(255) NOT NULL,
  `is_logout` tinyint(1) NOT NULL,
  `inactive_expire_time` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_bktoken`
--

LOCK TABLES `login_bktoken` WRITE;
/*!40000 ALTER TABLE `login_bktoken` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_bktoken` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_bkuser_role`
--

DROP TABLE IF EXISTS `login_bkuser_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_bkuser_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `create_time` datetime NOT NULL,
  `role_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `login_bkuser_role_role_id_2eae0138cf6cada6_fk_login_bkrole_id` (`role_id`),
  KEY `login_bkuser_rol_user_id_3649ad63d3112049_fk_bkaccount_bkuser_id` (`user_id`),
  CONSTRAINT `login_bkuser_rol_user_id_3649ad63d3112049_fk_bkaccount_bkuser_id` FOREIGN KEY (`user_id`) REFERENCES `bkaccount_bkuser` (`id`),
  CONSTRAINT `login_bkuser_role_role_id_2eae0138cf6cada6_fk_login_bkrole_id` FOREIGN KEY (`role_id`) REFERENCES `login_bkrole` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_bkuser_role`
--

LOCK TABLES `login_bkuser_role` WRITE;
/*!40000 ALTER TABLE `login_bkuser_role` DISABLE KEYS */;
INSERT INTO `login_bkuser_role` VALUES (1,'2020-11-06 00:43:11',2,1);
/*!40000 ALTER TABLE `login_bkuser_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_userinfo`
--

DROP TABLE IF EXISTS `login_userinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_userinfo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wx_userid` varchar(64) DEFAULT NULL,
  `bind_time` datetime,
  `user_id` int(11) NOT NULL,
  `language` varchar(32),
  `time_zone` varchar(32),
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`),
  CONSTRAINT `login_userinfo_user_id_329ab874917cec22_fk_bkaccount_bkuser_id` FOREIGN KEY (`user_id`) REFERENCES `bkaccount_bkuser` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_userinfo`
--

LOCK TABLES `login_userinfo` WRITE;
/*!40000 ALTER TABLE `login_userinfo` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_userinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_app`
--

DROP TABLE IF EXISTS `paas_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_app` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `code` varchar(30) NOT NULL,
  `introduction` longtext NOT NULL,
  `creater` varchar(20) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `state` smallint(6) NOT NULL,
  `is_already_test` tinyint(1) NOT NULL,
  `is_already_online` tinyint(1) NOT NULL,
  `first_test_time` datetime DEFAULT NULL,
  `first_online_time` datetime DEFAULT NULL,
  `language` varchar(50) DEFAULT NULL,
  `auth_token` varchar(36) DEFAULT NULL,
  `tags_id` int(11),
  `deploy_token` longtext,
  `is_use_celery` tinyint(1) NOT NULL,
  `is_use_celery_beat` tinyint(1) NOT NULL,
  `is_saas` tinyint(1) NOT NULL,
  `logo` varchar(100),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `code` (`code`),
  KEY `paas_app_d5240003` (`created_date`),
  KEY `paas_app_3b388eec` (`first_test_time`),
  KEY `paas_app_8d005fb8` (`first_online_time`),
  KEY `paas_app_8f9ab750` (`tags_id`),
  CONSTRAINT `paas_app_tags_id_7b8a224dc349ebd0_fk_paas_apptags_id` FOREIGN KEY (`tags_id`) REFERENCES `paas_apptags` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_app`
--

LOCK TABLES `paas_app` WRITE;
/*!40000 ALTER TABLE `paas_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_app_desktop_settings`
--

DROP TABLE IF EXISTS `paas_app_desktop_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_app_desktop_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(30) NOT NULL,
  `is_display` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `app_code` (`app_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_app_desktop_settings`
--

LOCK TABLES `paas_app_desktop_settings` WRITE;
/*!40000 ALTER TABLE `paas_app_desktop_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_app_desktop_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_app_developer`
--

DROP TABLE IF EXISTS `paas_app_developer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_app_developer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_id` int(11) NOT NULL,
  `bkuser_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `app_id` (`app_id`,`bkuser_id`),
  KEY `paas_app_develop_bkuser_id_7e5f21499b3adc5c_fk_account_bkuser_id` (`bkuser_id`),
  CONSTRAINT `paas_app_develop_bkuser_id_7e5f21499b3adc5c_fk_account_bkuser_id` FOREIGN KEY (`bkuser_id`) REFERENCES `account_bkuser` (`id`),
  CONSTRAINT `paas_app_developer_app_id_fa0e25f90793edc_fk_paas_app_id` FOREIGN KEY (`app_id`) REFERENCES `paas_app` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_app_developer`
--

LOCK TABLES `paas_app_developer` WRITE;
/*!40000 ALTER TABLE `paas_app_developer` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_app_developer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_app_envvars`
--

DROP TABLE IF EXISTS `paas_app_envvars`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_app_envvars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(30) NOT NULL,
  `mode` varchar(20) NOT NULL,
  `name` varchar(50) NOT NULL,
  `value` varchar(1024) NOT NULL,
  `intro` longtext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `paas_app_envvars_app_code_36685348c7256adf_uniq` (`app_code`,`mode`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_app_envvars`
--

LOCK TABLES `paas_app_envvars` WRITE;
/*!40000 ALTER TABLE `paas_app_envvars` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_app_envvars` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_app_secureinfo`
--

DROP TABLE IF EXISTS `paas_app_secureinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_app_secureinfo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(30) NOT NULL,
  `vcs_type` smallint(6) NOT NULL,
  `vcs_url` varchar(1024) DEFAULT NULL,
  `vcs_username` varchar(50) DEFAULT NULL,
  `vcs_password` varchar(50) DEFAULT NULL,
  `db_type` varchar(20) DEFAULT NULL,
  `db_host` varchar(1024) DEFAULT NULL,
  `db_port` int(11) DEFAULT NULL,
  `db_name` varchar(30) DEFAULT NULL,
  `db_username` varchar(50) DEFAULT NULL,
  `db_password` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `app_code` (`app_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_app_secureinfo`
--

LOCK TABLES `paas_app_secureinfo` WRITE;
/*!40000 ALTER TABLE `paas_app_secureinfo` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_app_secureinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_apptags`
--

DROP TABLE IF EXISTS `paas_apptags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_apptags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `code` varchar(30) NOT NULL,
  `index` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_apptags`
--

LOCK TABLES `paas_apptags` WRITE;
/*!40000 ALTER TABLE `paas_apptags` DISABLE KEYS */;
INSERT INTO `paas_apptags` VALUES (1,'基础服务','Service',0),(2,'管理类','MGT',0),(3,'数据类','Data',0),(4,'行政和HR','Hr',0),(5,'运维工具','Tools',0),(6,'流程管理','BPM',0),(7,'运营支持','Supports',0),(8,'其它','Other',0);
/*!40000 ALTER TABLE `paas_apptags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_release_record`
--

DROP TABLE IF EXISTS `paas_release_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_release_record` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(30) NOT NULL,
  `operate_id` int(11) NOT NULL,
  `operate_user` varchar(50) DEFAULT NULL,
  `app_old_state` smallint(6) NOT NULL,
  `operate_time` datetime DEFAULT NULL,
  `is_success` tinyint(1) NOT NULL,
  `is_tips` tinyint(1) NOT NULL,
  `is_version` tinyint(1) NOT NULL,
  `version` varchar(50) DEFAULT NULL,
  `message` longtext,
  `event_id` varchar(36) DEFAULT NULL,
  `extra_data` longtext,
  PRIMARY KEY (`id`),
  KEY `paas_release_record_19c21056` (`app_code`),
  KEY `paas_release_record_8da5b998` (`operate_id`),
  KEY `paas_release_record_648f8b5f` (`operate_time`),
  KEY `paas_release_record_1a4bfda4` (`is_success`),
  KEY `paas_release_record_4437cfac` (`event_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_release_record`
--

LOCK TABLES `paas_release_record` WRITE;
/*!40000 ALTER TABLE `paas_release_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_release_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_release_useroperaterecord`
--

DROP TABLE IF EXISTS `paas_release_useroperaterecord`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_release_useroperaterecord` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_code` varchar(30) NOT NULL,
  `username` varchar(50) NOT NULL,
  `before_data` longtext,
  `arfter_data` longtext,
  `operate_time` datetime NOT NULL,
  `operate_type` int(11) NOT NULL,
  `extra_data` longtext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_release_useroperaterecord`
--

LOCK TABLES `paas_release_useroperaterecord` WRITE;
/*!40000 ALTER TABLE `paas_release_useroperaterecord` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_release_useroperaterecord` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_release_version`
--

DROP TABLE IF EXISTS `paas_release_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_release_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(30) NOT NULL,
  `code_addr` varchar(200) DEFAULT NULL,
  `publisher` varchar(30) NOT NULL,
  `pubdate` datetime DEFAULT NULL,
  `desc` longtext,
  `app_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `paas_release_version_app_id_4b30a61b1b14c5fa_fk_paas_app_id` (`app_id`),
  KEY `paas_release_version_588e069d` (`pubdate`),
  CONSTRAINT `paas_release_version_app_id_4b30a61b1b14c5fa_fk_paas_app_id` FOREIGN KEY (`app_id`) REFERENCES `paas_app` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_release_version`
--

LOCK TABLES `paas_release_version` WRITE;
/*!40000 ALTER TABLE `paas_release_version` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_release_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_release_versiondetail`
--

DROP TABLE IF EXISTS `paas_release_versiondetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_release_versiondetail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `features` longtext,
  `bug` longtext,
  `app_version_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `paas__app_version_id_1d8c22ce431e44da_fk_paas_release_version_id` (`app_version_id`),
  CONSTRAINT `paas__app_version_id_1d8c22ce431e44da_fk_paas_release_version_id` FOREIGN KEY (`app_version_id`) REFERENCES `paas_release_version` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_release_versiondetail`
--

LOCK TABLES `paas_release_versiondetail` WRITE;
/*!40000 ALTER TABLE `paas_release_versiondetail` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_release_versiondetail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_resources`
--

DROP TABLE IF EXISTS `paas_resources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_resources` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `version` varchar(36) DEFAULT NULL,
  `size` varchar(36) DEFAULT NULL,
  `display` tinyint(1) NOT NULL,
  `icon_url` varchar(256) DEFAULT NULL,
  `doc_url` varchar(256) DEFAULT NULL,
  `download_url` varchar(256) DEFAULT NULL,
  `create_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_resources`
--

LOCK TABLES `paas_resources` WRITE;
/*!40000 ALTER TABLE `paas_resources` DISABLE KEYS */;
INSERT INTO `paas_resources` VALUES (1,'开发框架','--','740KB',0,'/static/img/resource/framework.png',NULL,'/media/framework.tar.gz','2020-11-06 08:42:56'),(2,'Python','2.7.11','17.7MB',1,'/static/img/resource/python.png','https://docs.bk.tencent.com/ops/','http://paas-10032816.cos.myqcloud.com/python-2.7.11.msi','2020-11-06 08:42:56'),(3,'Python资源包','1.0','19.8MB',1,'/static/img/resource/python-sdk.png',NULL,'http://paas-10032816.cos.myqcloud.com/python-sdk-1.0.zip','2020-11-06 08:42:56'),(4,'Eclipse（含PyDev）','4.5.2','476MB',1,'/static/img/resource/eclipse-4.5.png',NULL,'http://paas-10032816.cos.myqcloud.com/eclipse-4.5.2.zip','2020-11-06 08:42:56'),(5,'PyCharm','2016.3','170+M',1,'/static/img/resource/pycharm.jpeg',NULL,'https://www.jetbrains.com/pycharm/download/','2020-11-06 08:42:56'),(6,'MySQL','5.6.28.0','263MB',1,'/static/img/resource/mysql.png',NULL,'http://paas-10032816.cos.myqcloud.com/mysql-installer-community-5.6.28.0.msi','2020-11-06 08:42:56'),(7,'Rabbitmq','3.6.2','95.9MB',1,'/static/img/resource/rabbitmq.png',NULL,'http://paas-10032816.cos.myqcloud.com/rabbitmq-server-3.6.2.zip','2020-11-06 08:42:56'),(8,'API网关组件开发模板','--','14KB',1,'/static/img/resource/api_dev_template.png',NULL,'/media/api_dev_template.tar.gz','2020-11-06 08:42:56'),(9,'Python 开发框架','2.1.4.11','1.1M',1,'/static/img/resource/framework_py.png','https://docs.bk.tencent.com/blueapps/','/media/framework_py.tar.gz','2020-11-06 08:42:56');
/*!40000 ALTER TABLE `paas_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_saas_app`
--

DROP TABLE IF EXISTS `paas_saas_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_saas_app` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(30) NOT NULL,
  `name` varchar(20) NOT NULL,
  `app_id` int(11) DEFAULT NULL,
  `current_version_id` int(11),
  `created_time` datetime,
  `online_version_id` int(11),
  `logo` varchar(100),
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `paas_saas_app_app_id_2f622d9c81ffee7f_fk_paas_app_id` (`app_id`),
  KEY `paas_saas_app_42d04c48` (`current_version_id`),
  KEY `paas_saas_app_53c4ba2c` (`online_version_id`),
  CONSTRAINT `current_version_id_5aa0bc77e34af762_fk_paas_saas_app_version_id` FOREIGN KEY (`current_version_id`) REFERENCES `paas_saas_app_version` (`id`),
  CONSTRAINT `paas_saas_app_app_id_2f622d9c81ffee7f_fk_paas_app_id` FOREIGN KEY (`app_id`) REFERENCES `paas_app` (`id`),
  CONSTRAINT `p_online_version_id_2758312b250dd995_fk_paas_saas_app_version_id` FOREIGN KEY (`online_version_id`) REFERENCES `paas_saas_app_version` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `paas_saas_app_version`
--

DROP TABLE IF EXISTS `paas_saas_app_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_saas_app_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(20) NOT NULL,
  `settings` longtext,
  `saas_app_id` int(11) NOT NULL,
  `upload_file_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `paas_saas_app_v_saas_app_id_45a46ea9a549dc5a_fk_paas_saas_app_id` (`saas_app_id`),
  KEY `paas_upload_file_id_323abcfd9578f831_fk_paas_saas_upload_file_id` (`upload_file_id`),
  CONSTRAINT `paas_upload_file_id_323abcfd9578f831_fk_paas_saas_upload_file_id` FOREIGN KEY (`upload_file_id`) REFERENCES `paas_saas_upload_file` (`id`),
  CONSTRAINT `paas_saas_app_v_saas_app_id_45a46ea9a549dc5a_fk_paas_saas_app_id` FOREIGN KEY (`saas_app_id`) REFERENCES `paas_saas_app` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `paas_saas_upload_file`
--

DROP TABLE IF EXISTS `paas_saas_upload_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_saas_upload_file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `size` int(11) DEFAULT NULL,
  `file` varchar(100) NOT NULL,
  `uploaded_at` datetime NOT NULL,
  `md5` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `paas_saas_upload_file_49131a57` (`uploaded_at`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `paas_usefullinks`
--

DROP TABLE IF EXISTS `paas_usefullinks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_usefullinks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `link` varchar(128) NOT NULL,
  `created_time` datetime,
  `introduction` longtext,
  `is_active` tinyint(1) NOT NULL,
  `link_type` smallint(6) NOT NULL,
  `logo` varchar(100),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_usefullinks`
--

LOCK TABLES `paas_usefullinks` WRITE;
/*!40000 ALTER TABLE `paas_usefullinks` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_usefullinks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_userapps`
--

DROP TABLE IF EXISTS `paas_userapps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_userapps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) NOT NULL,
  `apps` longtext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_userapps`
--

LOCK TABLES `paas_userapps` WRITE;
/*!40000 ALTER TABLE `paas_userapps` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_userapps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paas_usersettings`
--

DROP TABLE IF EXISTS `paas_usersettings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paas_usersettings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) NOT NULL,
  `apps` longtext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paas_usersettings`
--

LOCK TABLES `paas_usersettings` WRITE;
/*!40000 ALTER TABLE `paas_usersettings` DISABLE KEYS */;
/*!40000 ALTER TABLE `paas_usersettings` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-06  8:46:15
